# $Revision: 1.968 $, $Date: 2012/07/05 07:31:58 $
# TODO:
# - --enable-systemtap
# - look at locale fixes/updates in bugzilla
# - no more chicken-egg problem (postshell is no more dynamically linked with libc), remove SONAME symlinks? see files section.
# [OLD]
# - localedb-gen man pages(?)
# - math/{test-fenv,test-tgmath,test-float,test-ifloat}, debug/backtrace-tst(SEGV)  fail on alpha
#
# Conditional build:
# min_kernel	(default is 2.6.12)
%bcond_without	memusage	# don't build memusage utility
%bcond_without	selinux		# without SELinux support (in nscd)
%bcond_with	tests		# perform "make test"
%bcond_without	localedb	# don't build localedb-all (is time consuming)
%bcond_with	cross		# build using crossgcc (without libgcc_eh)
#
%{!?min_kernel:%global		min_kernel	2.6.12}

%ifarch sparc64
%undefine	with_memusage
%endif

%define		core_version	2.16
%define		ports_version	2.16.0
%define		llh_version	7:2.6.20.4-1

Summary:	GNU libc
Summary(de.UTF-8):	GNU libc
Summary(es.UTF-8):	GNU libc
Summary(fr.UTF-8):	GNU libc
Summary(ja.UTF-8):	GNU libc ライブラリ
Summary(pl.UTF-8):	GNU libc
Summary(ru.UTF-8):	GNU libc версии
Summary(tr.UTF-8):	GNU libc
Summary(uk.UTF-8):	GNU libc версії
Name:		glibc
Version:	%{core_version}.0
Release:	1
Epoch:		6
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/glibc/%{name}-%{version}.tar.xz
# Source0-md5:	80b181b02ab249524ec92822c0174cf7
Source1:	http://ftp.gnu.org/gnu/glibc/%{name}-ports-%{ports_version}.tar.xz
# Source1-md5:	9a2439641be7ca8b01a3175324013031
Source2:	nscd.init
Source3:	nscd.sysconfig
Source4:	nscd.logrotate
#Source5:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
Source5:	http://qboosh.pl/man/%{name}-man-pages.tar.bz2
# Source5-md5:	f464eadf3cf06761f65639e44a179e6b
Source6:	%{name}-localedb-gen
Source7:	%{name}-LD-path.c
Source8:	nscd.upstart
Source9:	nscd.tmpfiles
# against GNU TP (libc domain)
#Patch1:		%{name}-pl.po-update.patch
Patch2:		%{name}-pld.patch
Patch3:		%{name}-crypt-blowfish.patch
Patch4:		%{name}-sotruss-sh.patch
Patch5:		%{name}-sparc-softfp-gcc.patch
Patch6:		%{name}-paths.patch
Patch7:		1070_all_glibc-fadvise64_64.patch
Patch8:		%{name}-missing-nls.patch
Patch9:		%{name}-java-libc-wait.patch
Patch10:	%{name}-info.patch

Patch12:	%{name}-rh-bug-769421.patch
Patch14:	%{name}-sparc-errno_fix.patch
Patch15:	%{name}-new-charsets.patch
Patch16:	%{name}-tzfile-noassert.patch
Patch17:	%{name}-morelocales.patch
Patch18:	%{name}-locale_fixes.patch
Patch19:	%{name}-ZA_collate.patch
Patch20:	%{name}-thread_start.patch
Patch21:	%{name}-cross-gcc_eh.patch
Patch22:	%{name}-with-stroke.patch
Patch23:	%{name}-pt_pax.patch
Patch25:	%{name}-cv_gnu89_inline.patch
Patch26:	%{name}-posix-sh.patch

Patch29:	%{name}-arm-alignment-fix.patch
Patch30:	%{name}-bug-12492.patch
Patch31:	%{name}-origin.patch
Patch32:	%{name}-Os-fail-workaround.patch
Patch33:	0020_all_glibc-tweak-rfc1918-lookup.patch

Patch38:	1055_all_glibc-resolv-dynamic.patch

Patch42:	%{name}-pr13013.patch
URL:		http://www.gnu.org/software/libc/
%{?with_selinux:BuildRequires:	audit-libs-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%ifarch alpha
BuildRequires:	binutils >= 2:2.17.50.0.7
%else
BuildRequires:	binutils >= 2:2.15.90.0.3
%endif
%{!?with_cross:BuildRequires:	dietlibc-static}
BuildRequires:	gawk
BuildRequires:	gcc >= 6:4.3
%{?with_memusage:BuildRequires:	gd-devel >= 2.0.1}
BuildRequires:	gettext-devel >= 0.10.36
%{?with_selinux:BuildRequires:	libselinux-devel >= 1.18}
BuildRequires:	linux-libc-headers >= %{llh_version}
BuildRequires:	nss-devel >= 1:3.12.3
BuildRequires:	perl-base
BuildRequires:	rpm-build >= 4.3-0.20030610.28
BuildRequires:	rpmbuild(macros) >= 1.567
BuildRequires:	sed >= 4.0.5
BuildRequires:	texinfo
Requires(post):	ldconfig = %{epoch}:%{version}-%{release}
Requires:	uname(release) >= %{min_kernel}
Provides:	glibc(nptl)
Provides:	glibc(tls)
Provides:	rtld(GNU_HASH)
Obsoletes:	glibc-common
Obsoletes:	glibc-debug
%ifarch %{x8664} sparc64 ppc64
Provides:	glibc64
Obsoletes:	glibc64
%endif
Suggests:	localedb
Suggests:	tzdata
Conflicts:	%{name}-misc < %{epoch}:%{version}-%{release}
Conflicts:	SysVinit < 2.86-11
Conflicts:	kernel < %{min_kernel}
Conflicts:	kernel24
Conflicts:	kernel24-smp
Conflicts:	ld.so < 1.9.9-10
Conflicts:	man-pages < 1.43
Conflicts:	poldek < 0.18.8-5
Conflicts:	rc-scripts < 0.3.1-13
Conflicts:	rpm < 4.1
ExclusiveArch:	i486 i586 i686 pentium3 pentium4 athlon %{x8664} ia64 alpha s390 s390x sparc sparc64 sparcv9 ppc ppc64 armv5tel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# avoid -s here (ld.so must not be stripped to allow any program debugging)
%define		filterout_ld		(-Wl,)?-[sS] (-Wl,)?--strip.*
# avoid -D_FORTIFY_SOURCE=X
%define		filterout_cpp		-D_FORTIFY_SOURCE=[0-9]+

%define		specflags_sparcv9	-mcpu=ultrasparc -mvis -fcall-used-g6
%define		specflags_sparc64	-mcpu=ultrasparc -mvis -fcall-used-g6

# ld.so needs not to be stripped to work
# gdb needs unstripped libpthread for some threading support
# ...but we can strip at least debuginfo from them
%define		_autostripdebug		.*/ld-[0-9.]*so\\|.*/libpthread-[0-9.]*so

# -m from CFLAGS or even LDFLAGS is not propagated to some *.o linking
%ifarch sparc sparcv9
%{expand:%%define	__cc	%{__cc} -m32}
%endif

# Architectures supported in glibc-ports
%define		ports_arch		alpha %{arm}

# Xen-friendly glibc
%define		specflags_ia32		-mno-tls-direct-seg-refs
%define		specflags_x86_64	-mno-tls-direct-seg-refs -fasynchronous-unwind-tables
%define		specflags_amd64		-mno-tls-direct-seg-refs -fasynchronous-unwind-tables
%define		specflags_ia32e		-mno-tls-direct-seg-refs

# we don't want perl dependency in glibc-devel
%define		_noautoreqfiles		%{_bindir}/mtrace
# hack: don't depend on rpmlib(PartialHardlinkSets) for easier upgrade from Ra
# (hardlinks here are unlikely to be "partial"... and rpm 4.0.2 from Ra was
# patched not to crash on partial hardlinks too)
%define		_hack_dontneed_PartialHardlinkSets	1
%define		_noautochrpath		.*\\(ldconfig\\|sln\\)
# private symbols
%define		_noautoprov		.*\(GLIBC_PRIVATE\)
%define		_noautoreq		.*\(GLIBC_PRIVATE\)

%description
Contains the standard libraries that are used by multiple programs on
the system. In order to save disk space and memory, as well as to ease
upgrades, common system code is kept in one place and shared between
programs. This package contains the most important sets of shared
libraries, the standard C library and the standard math library.
Without these, a Linux system will not function. It also contains
national language (locale) support.

Can be used on: Linux kernel >= %{min_kernel}.

%description -l es.UTF-8
Contiene las bibliotecas estándared que son usadas por varios
programas del sistema. Para ahorrar el espacio en el disco y la
memoria, igual que para facilitar actualizaciones, código común del
sistema se guarda en un sitio y es compartido entre los programas.
Este paquete contiene las bibliotecas compartidas más importantes, es
decir la biblioteca C estándar y la biblioteca estándar de matemática.
Sin éstas, un sistema Linux no podrá funcionar. También está incluido
soporte de idiomas nacionales (locale).

Puede usarse con: núcleo Linux >= %{min_kernel}.

%description -l de.UTF-8
Enthält die Standard-Libraries, die von verschiedenen Programmen im
System benutzt werden. Um Festplatten- und Arbeitsspeicher zu sparen
und zur Vereinfachung von Upgrades ist der gemeinsame Systemcode an
einer einzigen Stelle gespeichert und wird von den Programmen
gemeinsam genutzt. Dieses Paket enthält die wichtigsten Sets der
shared Libraries, die Standard-C-Library und die
Standard-Math-Library, ohne die das Linux-System nicht funktioniert.
Ferner enthält es den Support für die verschiedenen Sprachgregionen
(locale).

Can be used on: Linux kernel >= %{min_kernel}.

%description -l fr.UTF-8
Contient les bibliothèques standards utilisées par de nombreux
programmes du système. Afin d'économiser l'espace disque et mémoire,
et de faciliter les mises à jour, le code commun au système est mis à
un endroit et partagé entre les programmes. Ce paquetage contient les
bibliothèques partagées les plus importantes, la bibliothèque standard
du C et la bibliothèque mathématique standard. Sans celles-ci, un
système Linux ne peut fonctionner. Il contient aussi la gestion des
langues nationales (locales).

Can be used on: Linux kernel >= %{min_kernel}.

%description -l ja.UTF-8
glibc
パッケージはシステム上の複数のプログラムで使われる標準ライブラリを
ふくみます。ディスクスペースとメモリを節約したり、アップグレードを
用意にするために、共通のシステムコードは一つの場所におかれ、プログラム
間で共有されます。この部分的なパッケージはシェアドライブラリのかなり
重要なセットをふくみます: 標準 C ライブラリと標準数値ライブラリです。
この二つのライブラリ抜きでは、Linux システムは機能しません。 glibc
パッケージはまた地域言語 (locale) サポートとタイムゾーンデータベース
サポートをふくみます。

Can be used on: Linux kernel >= %{min_kernel}.

%description -l pl.UTF-8
W pakiecie znajdują się podstawowe biblioteki, używane przez różne
programy w Twoim systemie. Używanie przez programy bibliotek z tego
pakietu oszczędza miejsce na dysku i pamięć. Większość kodu
systemowego jest usytuowane w jednym miejscu i dzielone między wieloma
programami. Pakiet ten zawiera bardzo ważny zbiór bibliotek
standardowych, współdzielonych (dynamicznych) bibliotek C i
matematycznych. Bez glibc system Linux nie jest w stanie funkcjonować.
Znajdują się tutaj również definicje różnych informacji dla wielu
języków (locale).

Pakiet jest przeznaczony dla jądra Linuksa >= %{min_kernel}.

%description -l ru.UTF-8
Содержит стандартные библиотеки, используемые многочисленными
программами в системе. Для того, чтобы сохранить дисковое пространство
и память, а также для простоты обновления, системный код, общий для
всех программ, хранится в одном месте и коллективно используется всеми
программами. Этот пакет содержит наиболее важные из разделяемых
библиотек - стандартную библиотеку C и стандартную библиотеку
математики. Без этих библиотек Linux функционировать не будет. Также
пакет содержит поддержку национальных языков (locale).

Can be used on: Linux kernel >= %{min_kernel}.

%description -l tr.UTF-8
Bu paket, birçok programın kullandığı standart kitaplıkları içerir.
Disk alanı ve bellek kullanımını azaltmak ve aynı zamanda güncelleme
işlemlerini kolaylaştırmak için ortak sistem kodları tek bir yerde
tutulup programlar arasında paylaştırılır. Bu paket en önemli ortak
kitaplıkları, standart C kitaplığını ve standart matematik kitaplığını
içerir. Bu kitaplıklar olmadan Linux sistemi çalışmayacaktır. Yerel
dil desteği ve zaman dilimi veri tabanı da bu pakette yer alır.

Can be used on: Linux kernel >= %{min_kernel}.

%description -l uk.UTF-8
Містить стандартні бібліотеки, котрі використовуються численними
програмами в системі. Для того, щоб зберегти дисковий простір та
пам'ять, а також для простоти поновлення системи, системний код,
спільний для всіх програм, зберігається в одному місці і колективно
використовується всіма програмами. Цей пакет містить найбільш важливі
з динамічних бібліотек - стандартну бібліотеку С та стандартну
бібліотеку математики. Без цих бібліотек Linux функціонувати не буде.
Також пакет містить підтримку національних мов (locale).

Can be used on: Linux kernel >= %{min_kernel}.

%package misc
Summary:	Utilities and data used by glibc
Summary(pl.UTF-8):	Narzędzia i dane używane przez glibc
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description misc
Utilities and data used by glibc.

%description misc -l pl.UTF-8
Narzędzia i dane używane przez glibc.

%package libcrypt
Summary:	glibc library for crypt(3)
Summary(pl.UTF-8):	Biblioteka glibc z funkcją crypt(3)
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-libcrypt(%{_target_cpu}) = %{epoch}:%{version}-%{release}
Provides:	crypt(blowfish)

%description libcrypt
glibc library for crypt(3).

%description libcrypt -l pl.UTF-8
Biblioteka glibc z funkcją crypt(3).

%package -n ldconfig
Summary:	Create shared library cache and maintains symlinks
Summary(de.UTF-8):	Erstellt ein shared library cache und verwaltet symlinks
Summary(fr.UTF-8):	Crée un cache de bibliothčque partagée et gčre *.so
Summary(pl.UTF-8):	Tworzenie cache'u bibliotek dynamicznych i ich dowiązań symbolicznych
Summary(tr.UTF-8):	Ortak kitaplýk önbelleđi yaratýr ve bađlantýlarý kurar
Group:		Applications/System
# This is needed because previous package (glibc) had autoreq false and had
# provided this manually. Probably poldek bug that have to have it here.
Provides:	/sbin/ldconfig
# we want FHS being installed before ldconfig, altho they are both unrelated to each-other.
Requires:	FHS

%description -n ldconfig
ldconfig scans a running system and sets up the symbolic links that
are used to load shared libraries properly. It also creates
/etc/ld.so.cache which speeds the loading programs which use shared
libraries.

%description -n ldconfig -l de.UTF-8
ldconfig scannt ein laufendes System und richtet die symbolischen
Verknüpfungen zum Laden der gemeinsam genutzten Libraries ein.
Außerdem erstellt es /etc/ld.so.cache, was das Laden von Programmen
mit gemeinsam genutzten Libraries beschleunigt.

%description -n ldconfig -l fr.UTF-8
ldconfig analyse un systčme et configure les liens symboliques
utilisés pour charger correctement les bibliothčques partagées. Il
crée aussi /etc/ld.so.cache qui accélčre le chargement des programmes
utilisant les bibliothčques partagées.

%description -n ldconfig -l pl.UTF-8
ldconfig testuje uruchomiony system i tworzy dowiązania symboliczne,
które są następnie używane do poprawnego ładowania bibliotek
dynamicznych. Program ten tworzy plik /etc/ld.so.cache, który
przyśpiesza ładowanie programów korzystających z bibliotek
dynamicznych.

%description -n ldconfig -l tr.UTF-8
ldconfig, çalýţmakta olan sistemi araţtýrýr ve ortak kitaplýklarýn
düzgün bir ţekilde yüklenmesi için gereken simgesel bađlantýlarý
kurar. Ayrýca ortak kitaplýklarý kullanan programlarýn yüklenmesini
hýzlandýran /etc/ld.so.cache dosyasýný yaratýr.

%package devel
Summary:	Additional libraries required to compile
Summary(de.UTF-8):	Weitere Libraries zum Kompilieren
Summary(es.UTF-8):	Bibliotecas adicionales necesarias para la compilación
Summary(fr.UTF-8):	Librairies supplémentaires nécessaires à la compilation
Summary(ja.UTF-8):	標準 C ライブラリで使われるヘッダーとオブジェクトファイル
Summary(pl.UTF-8):	Dodatkowe biblioteki wymagane podczas kompilacji
Summary(ru.UTF-8):	Дополнительные библиотеки, необходимые для компиляции
Summary(tr.UTF-8):	Geliştirme için gerekli diğer kitaplıklar
Summary(uk.UTF-8):	Додаткові бібліотеки, потрібні для компіляції
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-devel-utils = %{epoch}:%{version}-%{release}
Requires:	%{name}-libcrypt(%{_target_cpu}) = %{epoch}:%{version}-%{release}
%if "%{_lib}" == "lib64"
Requires:	%{name}-headers(64bit) = %{epoch}:%{version}-%{release}
%else
Requires:	%{name}-headers = %{epoch}:%{version}-%{release}
%endif
Provides:	%{name}-devel(%{_target_cpu}) = %{epoch}:%{version}-%{release}
Obsoletes:	libiconv-devel

%description devel
To develop programs which use the standard C libraries (which nearly
all programs do), the system needs to have these standard header files
and object files available for creating the executables.

%description devel -l de.UTF-8
Bei der Entwicklung von Programmen, die die Standard-C-Libraries
verwenden (also fast alle), benötigt das System diese Standard-Header-
und Objektdateien zum Erstellen der ausführbaren Programme.

%description devel -l es.UTF-8
Para desarrollar programas que utilizan las bibliotecas C estándar (lo
cual hacen prácticamente todos los programas), el sistema necesita
disponer de estos ficheros de cabecera y de objetos para crear los
ejecutables.

%description devel -l fr.UTF-8
Pour développer des programmes utilisant les bibliothèques standard du
C (ce que presque tous les programmes font), le système doit posséder
ces fichiers en-têtes et objets standards pour créer les exécutables.

%description devel -l ja.UTF-8
glibc-devel パッケージは(ほとんどすべてのプログラムで使われる)標準 C
ライブラリを使用したプログラムを開発するためのヘッダーとオブジェクト
ファイルを含みます。もし標準 C
ライブラリを使用するプログラムを開発するなら
実行ファイルを作成する目的でこれらの標準ヘッダとオブジェクトファイル
が使用できます。

%description devel -l pl.UTF-8
Pakiet ten jest niezbędny przy tworzeniu własnych programów
korzystających ze standardowej biblioteki C. Znajdują się tutaj pliki
nagłówkowe oraz pliki obiektowe, niezbędne do kompilacji programów
wykonywalnych i innych bibliotek.

%description devel -l ru.UTF-8
Для разработки программ, использующих стандартные библиотеки C (а
практически все программы их используют), системе НЕОБХОДИМЫ хедеры и
объектные файлы, содержащиеся в этом пакете, чтобы создавать
исполняемые файлы.

%description devel -l tr.UTF-8
C kitaplığını kullanan (ki hemen hemen hepsi kullanıyor) programlar
geliştirmek için gereken standart başlık dosyaları ve statik
kitaplıklar.

%description devel -l uk.UTF-8
Для розробки програм, що використовують стандартні бібліотеки C
(практично всі програми їх використовують), системі НЕОБХІДНІ хедери
та об'єктні файли, що містяться в цьому пакеті, цоб створювати
виконувані файли.

%package headers
Summary:	Header files for development using standard C libraries
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów przy użyciu standardowych bibliotek C
Group:		Development/Building
Provides:	%{name}-headers(%{_target_cpu}) = %{epoch}:%{version}-%{release}
%if "%{_lib}" == "lib64"
Provides:	%{name}-headers(64bit) = %{epoch}:%{version}-%{release}
%endif
%ifarch %{x8664}
# If both -m32 and -m64 is to be supported on x86_64, x86_64 package
# have to be installed, not ix86 one.
Obsoletes:	glibc-headers(athlon)
Obsoletes:	glibc-headers(i386)
Obsoletes:	glibc-headers(i486)
Obsoletes:	glibc-headers(i586)
Obsoletes:	glibc-headers(i686)
Obsoletes:	glibc-headers(pentium3)
Obsoletes:	glibc-headers(pentium4)
%endif
%ifarch ppc64
Obsoletes:	glibc-headers(ppc)
%endif
%ifarch s390x
Obsoletes:	glibc-headers(s390)
%endif
%ifarch sparc64
Obsoletes:	glibc-headers(sparc)
%endif
Requires:	linux-libc-headers >= %{llh_version}

%description headers
The glibc-headers package contains the header files necessary for
developing programs which use the standard C libraries (which are used
by nearly all programs). If you are developing programs which will use
the standard C libraries, your system needs to have these standard
header files available in order to create the executables.

Install glibc-headers if you are going to develop programs which will
use the standard C libraries.

%description headers -l pl.UTF-8
Pakiet glibc-headers zawiera pliki nagłówkowe niezbędne do rozwijania
programów używających standardowych bibliotek C (używanych przez
prawie wszystkie programy). Jeśli tworzymy programy korzystające ze
standardowych bibliotek C, system wymaga dostępności tych
standardowych plików nagłówkowych do tworzenia programów
wykonywalnych.

Ten pakiet należy zainstalować jeśli zamierzamy tworzyć programy
korzystające ze standardowych bibliotek C.

%package devel-utils
Summary:	Utilities needed for development using standard C libraries
Summary(pl.UTF-8):	Narzędzia do tworzenia programów przy użyciu standardowych bibliotek C
Group:		Development/Libraries
Provides:	%{name}-devel-utils(%{_target_cpu}) = %{epoch}:%{version}-%{release}
%ifarch %{x8664}
# If both -m32 and -m64 is to be supported on AMD64, x86_64 package
# have to be installed, not ix86 one.
Obsoletes:	glibc-devel-utils(athlon)
Obsoletes:	glibc-devel-utils(i386)
Obsoletes:	glibc-devel-utils(i486)
Obsoletes:	glibc-devel-utils(i586)
Obsoletes:	glibc-devel-utils(i686)
Obsoletes:	glibc-devel-utils(pentium3)
Obsoletes:	glibc-devel-utils(pentium4)
%endif
%ifarch ppc64
Obsoletes:	glibc-devel-utils(ppc)
%endif
%ifarch s390x
Obsoletes:	glibc-devel-utils(s390)
%endif
%ifarch sparc64
Obsoletes:	glibc-devel-utils(sparc)
%endif

%description devel-utils
The glibc-devel-utils package contains utilities necessary for
developing programs which use the standard C libraries (which are used
by nearly all programs). If you are developing programs which will use
the standard C libraries, your system needs to have these utilities
available.

Install glibc-devel-utils if you are going to develop programs which
will use the standard C libraries.

%description devel-utils -l pl.UTF-8
Pakiet glibc-devel-utils zawiera narzędzia niezbędne do rozwijania
programów używających standardowych bibliotek C (używanych przez
prawie wszystkie programy). Jeśli tworzymy programy korzystające ze
standardowych bibliotek C, system wymaga dostępności tych narzędzi do
tworzenia programów wykonywalnych.

Ten pakiet należy zainstalować jeśli zamierzamy tworzyć programy
korzystające ze standardowych bibliotek C.

%package devel-doc
Summary:	Documentation needed for development using standard C libraries
Summary(pl.UTF-8):	Dokumentacja do tworzenia programów przy użyciu standardowych bibliotek C
Group:		Documentation
Provides:	%{name}-devel-doc(%{_target_cpu}) = %{epoch}:%{version}-%{release}
%ifarch %{x8664}
# If both -m32 and -m64 is to be supported on x86_64, x86_64 package
# have to be installed, not ix86 one.
Obsoletes:	glibc-devel-doc(athlon)
Obsoletes:	glibc-devel-doc(i386)
Obsoletes:	glibc-devel-doc(i486)
Obsoletes:	glibc-devel-doc(i586)
Obsoletes:	glibc-devel-doc(i686)
Obsoletes:	glibc-devel-doc(pentium3)
Obsoletes:	glibc-devel-doc(pentium4)
%endif
%ifarch ppc64
Obsoletes:	glibc-devel-doc(ppc)
%endif
%ifarch s390x
Obsoletes:	glibc-devel-doc(s390)
%endif
%ifarch sparc64
Obsoletes:	glibc-devel-doc(sparc)
%endif

%description devel-doc
The glibc-devel-doc package contains info and manual pages necessary
for developing programs which use the standard C libraries (which are
used by nearly all programs).

Install glibc-devel-doc if you are going to develop programs which
will use the standard C libraries.

%description devel-doc -l pl.UTF-8
Pakiet glibc-devel-doc zawiera strony info i manuala przydatne do
rozwijania programów używających standardowych bibliotek C (używanych
przez prawie wszystkie programy).

Ten pakiet należy zainstalować jeśli zamierzamy tworzyć programy
korzystające ze standardowych bibliotek C.

%package -n nscd
Summary:	Name Service Caching Daemon
Summary(es.UTF-8):	Demonio de caché del servicio de nombres
Summary(ja.UTF-8):	ネームサービスキャッシングデーモン (nacd)
Summary(pl.UTF-8):	Demon zapamiętujący odpowiedzi serwisów nazw
Summary(ru.UTF-8):	Кэширующий демон сервисов имен
Summary(uk.UTF-8):	Кешуючий демон севісів імен
License:	GPL v2
Group:		Networking/Daemons
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{?with_selinux:Requires:	libselinux >= 1.18}
Requires:	rc-scripts >= 0.4.3.0
Provides:	group(nscd)
Provides:	user(nscd)

%description -n nscd
nscd caches name service lookups; it can dramatically improve
performance with NIS+, and may help with DNS as well.

%description -n nscd -l es.UTF-8
nscd guarda las peticiones del servicio de nombres en una caché; eso
puede aumentar drásticamente las prestaciones de NIS+, y también puede
ayudar con DNS.

%description -n nscd -l ja.UTF-8
Nscd はネームサービス参照をキャッシュし、NIS+ のパフォーマンスを
ドラマティックに改善することができ、DNS を同様に補助します。

%description -n nscd -l pl.UTF-8
nscd zapamiętuje zapytania i odpowiedzi NIS oraz DNS. Pozwala
drastycznie poprawić szybkość działania NIS+.

%description -n nscd -l ru.UTF-8
nscd кэширует результаты запросов к сервисам имен; это может резко
увеличить производительность работы с NIS+ и, также, может помочь с
DNS.

%description -n nscd -l uk.UTF-8
nscd кешує результати запросів до сервісів імен; це може сильно
збільшити швидкість роботи з NIS+ і, також, може допомогти з DNS.

%package -n localedb-src
Summary:	locale database source code
Summary(es.UTF-8):	Código fuente de la base de datos de los locales
Summary(pl.UTF-8):	Kod źródłowy bazy locale
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gzip
Requires:	sed
Provides:	localedb

%description -n localedb-src
This add-on package contains the data needed to build the locale data
files to use the internationalization features of the GNU libc.

%description -n localedb-src -l es.UTF-8
Este paquete adicional contiene los datos necesarios para construir
los ficheros de locale, imprescindibles para usar las cualidades de
internacionalización de GNU libc.

%description -n localedb-src -l pl.UTF-8
Pakiet ten zawiera dane niezbędne do zbudowania binarnych plików
lokalizacyjnych, by móc wykorzystać możliwości oferowane przez GNU
libc.

%package localedb-all
Summary:	locale database for all locales supported by glibc
Summary(es.UTF-8):	Base de datos de todos los locales soportados por glibc
Summary(pl.UTF-8):	Baza danych locale dla wszystkich lokalizacji obsługiwanych przez glibc
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	iconv = %{epoch}:%{version}-%{release}
Provides:	localedb

%description localedb-all
This package contains locale database for all locales supported by
glibc. In glibc 2.3.x it's one large file (about 39MB) - if you want
something smaller with support for chosen locales only, consider
installing localedb-src and regenerating database using localedb-gen
script (when database is generated, localedb-src can be uninstalled).

%description localedb-all -l es.UTF-8
Este paquete contiene una base de datos de todos los locales
soportados por glibc. En glibc 2.3.x ése es un fichero grande (aprox.
39 MB) -- si prefiere algo más pequeño, sólo con soporte de unos
locales elegidos, considérese instalar localedb-src y regenerar la
base de datos usando el escript localedb-gen (una vez que la base de
datos esté creada, localedb-src se podrá desinstalar).

%description localedb-all -l pl.UTF-8
Ten pakiet zawiera bazę danych locale dla wszystkich lokalizacji
obsługiwanych przez glibc. W glibc 2.3.x jest to jeden duży plik
(około 39MB); aby mieć coś mniejszego, z obsługą tylko wybranych
lokalizacji, należy zainstalować pakiet localedb-src i przegenerować
bazę danych przy użyciu skryptu localedb-gen (po wygenerowaniu bazy
pakiet localedb-src można odinstalować).

%package -n iconv
Summary:	Convert encoding of given files from one encoding to another
Summary(es.UTF-8):	Convierte entre varias codificaciones de los ficheros dados
Summary(pl.UTF-8):	Moduły do konwersji plików tekstowych z jednego kodowania do innego
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	iconv(%{_target_base_arch})

%description -n iconv
Convert encoding of given files from one encoding to another. You need
this package if you want to convert some document from one encoding to
another or if you have installed some programs which use Generic
Character Set Conversion Interface.

%description -n iconv -l es.UTF-8
Convierte la codificación de dados ficheros. Necesita este paquete si
quiere convertir un documento entre una codificación (juego de
caracteres) y otra, o si tiene instalado algún programa que usa el
Generic Character Set Conversion Interface (interfaz genérica de
conversión de juegos de caracteres).

%description -n iconv -l pl.UTF-8
Moduły do konwersji plików tekstowych z jednego kodowania do innego.
Trzeba mieć zainstalowany ten pakiet, aby wykonywać konwersję
dokumentów z jednego kodowania do innego lub do używania programów
korzystających z Generic Character Set Conversion Interface w glibc,
czyli z zestawu funkcji z tej biblioteki, które umożliwiają konwersję
kodowania danych z poziomu dowolnego programu.

%package static
Summary:	Static GNU libc libraries
Summary(es.UTF-8):	Bibliotecas estáticas
Summary(pl.UTF-8):	Biblioteki statyczne GNU libc
Summary(ru.UTF-8):	Статические библиотеки glibc
Summary(uk.UTF-8):	Статичні бібліотеки glibc
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-static(%{_target_cpu}) = %{epoch}:%{version}-%{release}
Obsoletes:	libiconv-static

%description static
GNU libc static libraries.

%description static -l es.UTF-8
Bibliotecas estáticas de GNU libc.

%description static -l pl.UTF-8
Biblioteki statyczne GNU libc.

%description static -l ru.UTF-8
Это отдельный пакет со статическими библиотеками, которые больше не
входят в glibc-devel.

%description static -l uk.UTF-8
Це окремий пакет зі статичними бібліотеками, що більше не входять в
склад glibc-devel.

%package profile
Summary:	glibc with profiling support
Summary(de.UTF-8):	glibc mit Profil-Unterstützung
Summary(es.UTF-8):	glibc con soporte de perfilamiento
Summary(fr.UTF-8):	glibc avec support pour profiling
Summary(pl.UTF-8):	glibc ze wsparciem dla profilowania
Summary(ru.UTF-8):	GNU libc с поддержкой профайлера
Summary(tr.UTF-8):	Ölçüm desteği olan glibc
Summary(uk.UTF-8):	GNU libc з підтримкою профайлера
Group:		Development/Libraries/Libc
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libc-profile

%description profile
When programs are being profiled using gprof, they must use these
libraries instead of the standard C libraries for gprof to be able to
profile them correctly.

%description profile -l de.UTF-8
Damit Programmprofile mit gprof richtig erstellt werden, müssen diese
Libraries anstelle der üblichen C-Libraries verwendet werden.

%description profile -l es.UTF-8
Cuando programas son perfilidas usando gprof, tienen que usar estas
biblioteces en vez de las estándares para que gprof pueda perfilarlas
correctamente.

%description profile -l pl.UTF-8
Programy profilowane za pomocą gprof muszą używać tych bibliotek
zamiast standardowych bibliotek C, aby gprof mógł odpowiednio je
wyprofilować.

%description profile -l uk.UTF-8
Коли програми досліджуються профайлером gprof, вони повинні
використовувати замість стандартних бібліотек бібліотеки, що містяться
в цьому пакеті. При використанні стандартних бібліотек gprof замість
реальних результатів буде показувати ціни на папайю в Гонолулу в
позаминулому році...

%description profile -l tr.UTF-8
gprof kullanılarak ölçülen programlar standart C kitaplığı yerine bu
kitaplığı kullanmak zorundadırlar.

%description profile -l ru.UTF-8
Когда программы исследуются профайлером gprof, они должны
использовать, вместо стандартных библиотек, библиотеки, включенные в
этот пакет. При использовании стандартных библиотек gprof вместо
реальных результатов будет показывать цены на папайю в Гонолулу в
позапрошлом году...

%package pic
Summary:	glibc PIC archive
Summary(es.UTF-8):	Archivo PIC de glibc
Summary(pl.UTF-8):	Archiwum PIC glibc
Group:		Development/Libraries/Libc
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description pic
GNU C Library PIC archive contains an archive library (ar file)
composed of individual shared objects. This is used for creating a
library which is a smaller subset of the standard libc shared library.

%description pic -l es.UTF-8
El archivo PIC de la biblioteca glibc contiene una biblioteca
archivada (un fichero ar) compuesta de individuales objetos
compartidos. Es usado para crear una biblioteca que sea un subconjunto
más pequeño de la biblioteca libc compartida estándar.

%description pic -l pl.UTF-8
Archiwum PIC biblioteki GNU C zawiera archiwalną bibliotekę (plik ar)
złożoną z pojedynczych obiektów współdzielonych. Używana jest do
tworzenia biblioteki będącej mniejszym podzestawem standardowej
biblioteki współdzielonej libc.

%package -n nss_compat
Summary:	Old style NYS NSS glibc module
Summary(es.UTF-8):	El antiguo módulo NYS NSS de glibc
Summary(pl.UTF-8):	Stary moduł NYS NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_compat
Old style NYS NSS glibc module.

%description -n nss_compat -l es.UTF-8
El antiguo módulo NYS NSS de glibc

%description -n nss_compat -l pl.UTF-8
Stary moduł NYS NSS glibc.

%package -n nss_dns
Summary:	BIND NSS glibc module
Summary(es.UTF-8):	Módulo BIND NSS de glibc
Summary(pl.UTF-8):	Moduł BIND NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_dns
BIND NSS glibc module.

%description -n nss_dns -l es.UTF-8
Módulo BIND NSS de glibc.

%description -n nss_dns -l pl.UTF-8
Moduł BIND NSS glibc.

%package -n nss_files
Summary:	Traditional files databases NSS glibc module
Summary(es.UTF-8):	Módulo de tradicionales bases de datos en ficheros para glibc
Summary(pl.UTF-8):	Moduł tradycyjnych plikowych baz danych NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_files
Traditional files databases NSS glibc module.

%description -n nss_files -l es.UTF-8
Módulo de tradicionales bases de datos en ficheros para glibc.

%description -n nss_files -l pl.UTF-8
Moduł tradycyjnych plikowych baz danych NSS glibc.

%package -n nss_hesiod
Summary:	hesiod NSS glibc module
Summary(es.UTF-8):	Módulo hesiod NSS de glibc
Summary(pl.UTF-8):	Moduł hesiod NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_hesiod
glibc NSS (Name Service Switch) module for databases access.

%description -n nss_hesiod -l es.UTF-8
Módulo hesiod NSS de glibc.

%description -n nss_hesiod -l pl.UTF-8
Moduł glibc NSS (Name Service Switch) dostępu do baz danych.

%package -n nss_nis
Summary:	NIS(YP) NSS glibc module
Summary(es.UTF-8):	Módulo NIS(YP) NSS de glibc
Summary(pl.UTF-8):	Moduł NIS(YP) NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_nis
glibc NSS (Name Service Switch) module for NIS(YP) databases access.

%description -n nss_nis -l es.UTF-8
Módulo NSS de glibc para acceder las bases de datos NIS(YP).

%description -n nss_nis -l pl.UTF-8
Moduł glibc NSS (Name Service Switch) dostępu do baz danych NIS(YP).

%package -n nss_nisplus
Summary:	NIS+ NSS module
Summary(es.UTF-8):	Módulo NIS+ NSS
Summary(pl.UTF-8):	Moduł NIS+ NSS
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_nisplus
glibc NSS (Name Service Switch) module for NIS+ databases access.

%description -n nss_nisplus -l es.UTF-8
Módulo NSS (Name Service Switch) de glibc para acceder las bases de
datos NIS+.

%description -n nss_nisplus -l pl.UTF-8
Moduł glibc NSS (Name Service Switch) dostępu do baz danych NIS+.

%package memusage
Summary:	Memory usage profiler
Summary(pl.UTF-8):	Narzędzie do profilowania zużycia pamięci
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description memusage
Memory usage profiler.

%description memusage -l pl.UTF-8
Narzędzie do profilowania zużycia pamięci.

%prep
%setup -q -a1
mv %{name}-ports-%{ports_version} ports

%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%patch12 -p1
%patch14 -p0
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%{?with_cross:%patch21 -p1}
%patch22 -p1
%patch23 -p0

%patch25 -p1
%patch26 -p1

%patch29 -p1
%patch30 -p0
%patch31 -p1
%patch32 -p1
%patch33 -p1

%patch38 -p1

%patch42 -p1

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

chmod +x scripts/cpp

# i786 (aka pentium4) hack
ln -s i686 nptl/sysdeps/i386/i786
ln -s i686 nptl/sysdeps/unix/sysv/linux/i386/i786

%build
# glibc has its own way to remove PLT relocations. / H. J. Lu.
unset LD_SYMBOLIC_FUNCTIONS || :

cp -f /usr/share/automake/config.sub scripts
%{__aclocal}
%{__autoconf}

rm -rf builddir
install -d builddir
cd builddir
%ifarch sparc64
CC="%{__cc} -m64 -mcpu=ultrasparc -mvis -fcall-used-g6"
%endif

AddOns=nptl,libidn
%ifarch %{ports_arch}
AddOns=$AddOns,ports
%endif

# force ld bfd (instead of gold)
install -d alt-tools
ln -sf %{_bindir}/ld.bfd alt-tools/ld
PATH=$(pwd)/alt-tools:$PATH; export PATH

AWK="gawk" \
../%configure \
	--with-binutils=$(pwd)/alt-tools \
	--enable-kernel="%{min_kernel}" \
	--with-headers=%{_includedir} \
	--with%{!?with_selinux:out}-selinux \
	--with-tls \
	--enable-obsolete-rpc \
	--enable-add-ons=$AddOns \
%if "%{pld_release}" != "ti"
	--enable-nss-crypt \
%endif
	--enable-experimental-malloc \
	--enable-stackguard-randomization \
	--enable-hidden-plt \
	--enable-bind-now \
	--enable-profile

%{__make} \
	AWK="gawk" \
	sLIBdir=%{_libdir}

cd ..

%if %{with tests}
cd builddir
env LANGUAGE=C LC_ALL=C \
%{__make} tests 2>&1 | awk '
BEGIN { file = "" }
{
	if (($0 ~ /\*\*\* \[.*\.out\] Error/) && ($0 !~ /annexc/) && (file == "")) {
		file=$0;
		gsub(/.*\[/, NIL, file);
		gsub(/\].*/, NIL, file);
	}
	print $0;
}
END { if (file != "") { print "ERROR OUTPUT FROM " file; system("cat " file); exit(1); } }'
cd ..
done
%endif

%if %{without cross}
CC="%{__cc}"
diet ${CC#*ccache } %{SOURCE7} %{rpmcflags} -Os -static -o glibc-postinst
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{default,logrotate.d,rc.d/init.d,sysconfig,init} \
	$RPM_BUILD_ROOT{%{_mandir}/man{3,8},/var/log,/var/{lib,run}/nscd} \
	$RPM_BUILD_ROOT{/var/cache/ldconfig,/usr/lib/tmpfiles.d}

cd builddir
env LANGUAGE=C LC_ALL=C \
%{__make} install \
	install_root=$RPM_BUILD_ROOT \
	infodir=%{_infodir} \
	mandir=%{_mandir}

%if %{with localedb}
env LANGUAGE=C LC_ALL=C \
%{__make} localedata/install-locales \
	install_root=$RPM_BUILD_ROOT
%endif

PICFILES="libc_pic.a libc.map
	math/libm_pic.a libm.map
	resolv/libresolv_pic.a"

install -p $PICFILES				$RPM_BUILD_ROOT%{_libdir}
install -p elf/soinit.os				$RPM_BUILD_ROOT%{_libdir}/soinit.o
install -p elf/sofini.os				$RPM_BUILD_ROOT%{_libdir}/sofini.o

# Include %{_libdir}/gconv/gconv-modules.cache
LD_PRELOAD=$(pwd)/elf/ld.so:$(pwd)/libc.so.6 ./iconv/iconvconfig --nostdlib --prefix=$RPM_BUILD_ROOT %{_libdir}/gconv -o $RPM_BUILD_ROOT%{_libdir}/gconv/gconv-modules.cache
cd ..

%if %{without cross}
install -p glibc-postinst				$RPM_BUILD_ROOT/sbin
%endif

%{?with_memusage:mv -f $RPM_BUILD_ROOT/%{_lib}/libmemusage.so $RPM_BUILD_ROOT%{_libdir}}
mv -f $RPM_BUILD_ROOT/%{_lib}/libpcprofile.so	$RPM_BUILD_ROOT%{_libdir}

# moved to tzdata package
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/localtime
rm -rf $RPM_BUILD_ROOT%{_datadir}/zoneinfo

ln -sf libbsd-compat.a		$RPM_BUILD_ROOT%{_libdir}/libbsd.a

# make symlinks across top-level directories absolute
for l in BrokenLocale anl cidn crypt dl m nsl resolv rt thread_db util; do
	test -L $RPM_BUILD_ROOT%{_libdir}/lib${l}.so || exit 1
	rm -f $RPM_BUILD_ROOT%{_libdir}/lib${l}.so
	ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/lib${l}.so.*) $RPM_BUILD_ROOT%{_libdir}/lib${l}.so
done

# linking nss modules directly is not supported
rm -f $RPM_BUILD_ROOT%{_libdir}/libnss_*.so

install -p %{SOURCE2}		$RPM_BUILD_ROOT/etc/rc.d/init.d/nscd
cp -p %{SOURCE8}		$RPM_BUILD_ROOT/etc/init/nscd.conf
cp -a %{SOURCE3}		$RPM_BUILD_ROOT/etc/sysconfig/nscd
cp -a %{SOURCE4}		$RPM_BUILD_ROOT/etc/logrotate.d/nscd
cp -a nscd/nscd.conf		$RPM_BUILD_ROOT%{_sysconfdir}
cp -a posix/gai.conf		$RPM_BUILD_ROOT%{_sysconfdir}
cp -a nis/nss $RPM_BUILD_ROOT/etc/default/nss
sed -e 's#\([ \t]\)db\([ \t]\)#\1#g' nss/nsswitch.conf > $RPM_BUILD_ROOT%{_sysconfdir}/nsswitch.conf

bzip2 -dc %{SOURCE5} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
: > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.cache
install -d $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d
echo 'include ld.so.conf.d/*.conf' > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf
: > $RPM_BUILD_ROOT/var/cache/ldconfig/aux-cache

rm -f $RPM_BUILD_ROOT%{_mandir}/hu/man7/man.7

# doesn't fit with out tzdata concept and configure.in is stupid assuming bash
# is first posix compatible shell making this script depend on bash.
rm -f $RPM_BUILD_ROOT%{_bindir}/tzselect
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/tzselect.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/*/man8/tzselect.8*

: > $RPM_BUILD_ROOT/var/log/nscd
: > $RPM_BUILD_ROOT/var/lib/nscd/passwd
: > $RPM_BUILD_ROOT/var/lib/nscd/group
: > $RPM_BUILD_ROOT/var/lib/nscd/hosts

install %{SOURCE9} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/nscd.conf

rm -rf documentation
install -d documentation

for f in ANNOUNCE ChangeLog DESIGN-{barrier,condvar,rwlock,sem}.txt TODO{,-kernel,-testing}; do
	cp -af nptl/$f documentation/$f.nptl
done
cp -af crypt/README.ufc-crypt ChangeLog* documentation

# Collect locale files and mark them with %%lang()
echo '%defattr(644,root,root,755)' > glibc.lang
for i in $RPM_BUILD_ROOT%{_datadir}/locale/*; do
	if [ -d $i ]; then
		lang=$(basename $i)
		dir="${i#$RPM_BUILD_ROOT}"
		echo "%lang($lang) $dir" >> glibc.lang
	fi
done

# NOTES:
# Languages not supported by glibc locales, but usable via $LANGUAGE:
#   ang - Old English (gtk+, gnome)
#   ca@valencia (gtk+, gnome; as ca_ES@valencia in FileZilla; locale exists in Debian)
#   en@shaw - English with Shavian alphabet (gnome)
#   la - Latin
#   tlh - Klingon (bzflag)
# and variants:
#   sr@ije (use LANGUAGE=sr_ME@ije/sr_RS@ije) (gnome)
#
# To be added when they become supported by glibc:
#   az_IR (gtk+2)
#   bal (newt,pessulus)
#   bem (alacarte)
#   co  (vlc)
#   fil (stellarium)
#   frp (xfce, lxlauncher)
#   gn  (gn_BR in gnome, maybe gn_PY)
#   haw (iso-codes, stellarium)
#   hrx (stellarium)
#   ilo (kudzu)
#   io  (gtk+2, gnome, alacarte)
#   jv  (gmpc, avant-window-navigator, kdesudo)
#   kok (iso-codes)
#   lb  (geany,miro,deluge)
#   man (ccsm; incorrectly named md)
#   mhr (pidgin)
#   mus (bluez-gnome)
#   pms (deluge)
#   sco (gnomad2, picard, stellarium)
#   swg (sim)
#   syr (iso-codes)
#   tet (vlc)
#
# To be removed (after fixing packages still using it):
#   sr@Latn (use sr@latin instead)
#
# To be clarified:
#   sr@ije or sr@ijekavian? (currently sr@ije is supported)
#   sr@ijelatin or sr@ijekavianlatin? (currently not supported)
#   sr@ijekavian and sr@ijekavianlatin exist in: akonadi-googledata, amarok, k3b, konversation, ktorrent, wesnoth
#
# Short forms (omitted country code, used instead of long form) for ambiguous or unclear cases:
# aa=aa_ER
# ar=common? (AE, BH, DZ, EG, IQ, JO, KW, LB, LY, MA, OM, QA, SA, SD, SY, TN, YE)
# bn=bn_BD
# bo=bo_CN? (or common for CN, IN?)
# ca=ca_ES
# ckb=ckb_IQ
# de=de_DE
# en=common? (en_AU, en_CA, en_GB, en_NZ, en_US are used for particular variants)
# eo=common
# es=es_ES
# eu=eu_ES
# fr=fr_FR
# fy=fy_NL
# gez=gez_ET (?)
# it=it_IT
# li=li_NL
# nds=nds_DE
# nl=nl_NL
# om=om_ET
# pa=pa_IN
# pt=pt_PT
# ru=ru_RU
# so=so_SO
# sr=sr_RS [cyrillic]
# sv=sv_SE
# sw=sw_TZ (or common for KE, TZ, UG?)
# ta=ta_IN
# te=te_IN
# ti=ti_ER (?)
# tr=tr_TR
# ur=ur_PK (?)
# zh: no short code used (use zh_CN, zh_HK, zh_SG[not included yet], zh_TW)
#
# Omitted here - already existing (with libc.mo):
#   be ca cs da de el en_GB es fi fr gl hr hu it ja ko nb nl pl pt_BR ru rw sk
#   sv tr zh_CN zh_TW
#
for i in aa aa@saaho af am an ang ar ar_TN as ast az be@latin be@tarask \
	bg bn bn_IN bo br bs byn ca@valencia ckb crh csb cy de_AT de_CH dv dz en \
	en@boldquot en@quot en@shaw en_AU en_CA en_NZ en_US eo es_AR es_CL es_CO es_CR \
	es_DO es_EC es_GT es_HN es_MX es_NI es_PA es_PE es_PR es_SV es_UY \
	es_VE et eu fa fil fo fr_BE fr_CA fr_CH fur fy ga gd gez gu gv ha he \
	hi hne hsb hy ia id ig ik is it_CH iu ka kg kk kl km kn ks ku kw ky la \
	lg li lo lt lv mai mg mi mk ml mn mr ms mt my nds ne nl_BE nn nr nso \
	oc om or pa pap ps pt ps rm ro sa sc se si sid sl so sq sr sr@Latn tl \
	sr@ije sr@latin ss st sw ta te tg th ti tig tk tl tlh tn ts tt ug uk \
	ur uz uz@cyrillic ve vi wa wal wo xh yi yo zh_HK zu; do
	if [ ! -d $RPM_BUILD_ROOT%{_datadir}/locale/$i/LC_MESSAGES ]; then
		install -d $RPM_BUILD_ROOT%{_datadir}/locale/$i/LC_MESSAGES
		# use lang() tags with ll_CC@variant (stripping charset and @quot|@boldquot)
		lang=$(echo $i | sed -e 's/@quot\>\|@boldquot\>//')
		echo "%lang($lang) %{_datadir}/locale/$i" >> glibc.lang
	fi
done

# LC_TIME category, used for localized date formats (at least by coreutils)
for i in af be bg ca cs da de el en eo es et eu fi fr ga gl hu id it ja kk ko lg lt \
	ms nb nl pl pt pt_BR ro ru rw sk sl sv tr uk vi zh_CN zh_TW; do
	if [ ! -d $RPM_BUILD_ROOT%{_datadir}/locale/$i ]; then
		echo "%lang($lang) %{_datadir}/locale/$i" >> glibc.lang
	fi
	install -d $RPM_BUILD_ROOT%{_datadir}/locale/$i/LC_TIME
done

# localedb-gen infrastructure
sed -e 's,@localedir@,%{_libdir}/locale,' %{SOURCE6} > $RPM_BUILD_ROOT%{_bindir}/localedb-gen
chmod +x $RPM_BUILD_ROOT%{_bindir}/localedb-gen
install localedata/SUPPORTED $RPM_BUILD_ROOT%{_datadir}/i18n

# shutup check-files
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.*
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
# we don't support kernel without ptys support
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pt_chown
# rpcinfo dropped from glibc, provided by rpcbind now
%{__rm} $RPM_BUILD_ROOT%{_mandir}/{,*/}man8/rpcinfo.8

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without cross}
%post	-p /sbin/postshell
/sbin/glibc-postinst /%{_lib}/%{_host_cpu} /%{_lib}/tls
/sbin/ldconfig

%postun	-p /sbin/ldconfig

%triggerpostun -p /sbin/postshell -- glibc-misc < 6:2.3.5-7.6
-/bin/cp -f /etc/ld.so.conf /etc/ld.so.conf.rpmsave
-/bin/sed -i -e '1iinclude ld.so.conf.d/*.conf' /etc/ld.so.conf
%endif

%triggerin -- cronie,vixie-cron,hc-cron,fcron,mcron
# restart crond if glibc is upgraded, LP#721338
if [ "$1" != 1 ]; then
	%service -q crond restart
fi

%post	libcrypt -p /sbin/ldconfig
%postun	libcrypt -p /sbin/ldconfig

%post	memusage -p /sbin/ldconfig
%postun	memusage -p /sbin/ldconfig

%post -n localedb-src
SUPPORTED_LOCALES=
[ -f /etc/sysconfig/i18n ] && . /etc/sysconfig/i18n
[ -f /etc/sysconfig/localedb ] && . /etc/sysconfig/localedb
if [ "$SUPPORTED_LOCALES" ]; then
	localedb-gen || :
fi

%post devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%pre -n nscd
%groupadd -P nscd -g 144 -r nscd
%useradd -P nscd -u 144 -r -d /tmp -s /bin/false -c "Name Service Cache Daemon" -g nscd nscd

%post -n nscd
if [ ! -f /var/log/nscd ]; then
	umask 027
	touch /var/log/nscd
	chown root:root /var/log/nscd
	chmod 640 /var/log/nscd
fi
/sbin/chkconfig --add nscd
%service nscd restart "Name Service Cache Daemon"

%preun -n nscd
if [ "$1" = "0" ]; then
	%service nscd stop
	/sbin/chkconfig --del nscd
fi

%postun -n nscd
if [ "$1" = "0" ]; then
	%userremove nscd
	%groupremove nscd
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README NEWS BUGS CONFORMANCE
%if %{without cross}
%attr(755,root,root) /sbin/glibc-postinst
%endif
# TODO: package ldconfig symlinks as %ghost
%attr(755,root,root) /%{_lib}/ld-%{core_version}.so
# wildly arch-dependent ld.so SONAME symlink
%ifarch %{ix86} sparc sparcv9 sparc64 alpha sh
%attr(755,root,root) /%{_lib}/ld-linux.so.2
%endif
%ifarch ia64
%attr(755,root,root) /%{_lib}/ld-linux-ia64.so.2
%endif
%ifarch %{x8664}
%attr(755,root,root) /%{_lib}/ld-linux-x86-64.so.2
%endif
%ifarch ppc64 s390x
%attr(755,root,root) /%{_lib}/ld64.so.1
%endif
%ifnarch %{ix86} sparc sparcv9 sparc64 alpha sh ia64 %{x8664} ppc64 s390x %{arm}
%attr(755,root,root) /%{_lib}/ld.so.1
%endif
%attr(755,root,root) /%{_lib}/libBrokenLocale-%{core_version}.so
%ifarch alpha
%attr(755,root,root) /%{_lib}/libBrokenLocale.so.1.1
%else
%attr(755,root,root) /%{_lib}/libBrokenLocale.so.1
%endif
%attr(755,root,root) /%{_lib}/libSegFault.so
%attr(755,root,root) /%{_lib}/libanl-%{core_version}.so
%attr(755,root,root) /%{_lib}/libanl.so.1
%attr(755,root,root) /%{_lib}/libc-%{core_version}.so
%ifarch alpha ia64
%attr(755,root,root) /%{_lib}/libc.so.6.1
%else
%attr(755,root,root) /%{_lib}/libc.so.6
%endif
%attr(755,root,root) /%{_lib}/libcidn-%{core_version}.so
%attr(755,root,root) /%{_lib}/libcidn.so.1
%attr(755,root,root) /%{_lib}/libdl-%{core_version}.so
%ifarch alpha
%attr(755,root,root) /%{_lib}/libdl.so.2.1
%else
%attr(755,root,root) /%{_lib}/libdl.so.2
%endif
%attr(755,root,root) /%{_lib}/libm-%{core_version}.so
%ifarch alpha ia64
%attr(755,root,root) /%{_lib}/libm.so.6.1
%else
%attr(755,root,root) /%{_lib}/libm.so.6
%endif
%attr(755,root,root) /%{_lib}/libnsl-%{core_version}.so
%ifarch alpha
%attr(755,root,root) /%{_lib}/libnsl.so.1.1
%else
%attr(755,root,root) /%{_lib}/libnsl.so.1
%endif
%attr(755,root,root) /%{_lib}/libpthread-%{core_version}.so
%attr(755,root,root) /%{_lib}/libpthread.so.0
%attr(755,root,root) /%{_lib}/libresolv-%{core_version}.so
%ifarch alpha
%attr(755,root,root) /%{_lib}/libresolv.so.2.1
%else
%attr(755,root,root) /%{_lib}/libresolv.so.2
%endif
%attr(755,root,root) /%{_lib}/librt-%{core_version}.so
%attr(755,root,root) /%{_lib}/librt.so.1
%attr(755,root,root) /%{_lib}/libthread_db-1.0.so
%attr(755,root,root) /%{_lib}/libthread_db.so.1
%attr(755,root,root) /%{_lib}/libutil-%{core_version}.so
%ifarch alpha
%attr(755,root,root) /%{_lib}/libutil.so.1.1
%else
%attr(755,root,root) /%{_lib}/libutil.so.1
%endif
%{?with_localedb:%dir %{_libdir}/locale}

#%files -n nss_db
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/makedb
%attr(755,root,root) /%{_lib}/libnss_db-%{core_version}.so
%attr(755,root,root) /%{_lib}/libnss_db.so.2
%{_var}/db/Makefile

#%files -n nss_dns
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_dns-%{core_version}.so
%attr(755,root,root) /%{_lib}/libnss_dns.so.2

#%files -n nss_files
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_files-%{core_version}.so
%attr(755,root,root) /%{_lib}/libnss_files.so.2

%defattr(644,root,root,755)

%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nsswitch.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gai.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/default/nss

%config %{_sysconfdir}/rpc

%attr(755,root,root) /sbin/sln
%attr(755,root,root) %{_bindir}/getconf
%attr(755,root,root) %{_bindir}/getent
%attr(755,root,root) %{_bindir}/iconv
%ifarch %{ix86} m68k sparc sparcv9
%attr(755,root,root) %{_bindir}/lddlibc4
%endif
%attr(755,root,root) %{_bindir}/locale
%attr(755,root,root) %{_bindir}/rpcgen
%attr(755,root,root) %{_sbindir}/zdump
%attr(755,root,root) %{_sbindir}/zic

%dir %{_libexecdir}/getconf
%attr(755,root,root) %{_libexecdir}/getconf/*

%dir %{_datadir}/locale
%{_datadir}/locale/locale.alias

%{_mandir}/man1/getconf.1*
%{_mandir}/man1/getent.1*
%{_mandir}/man1/iconv.1*
%{_mandir}/man1/locale.1*
%{_mandir}/man1/rpcgen.1*
%{_mandir}/man5/locale.5*
%{_mandir}/man5/nsswitch.conf.5*
%{_mandir}/man5/tzfile.5*
%{_mandir}/man7/ascii.7*
%{_mandir}/man7/charsets.7*
%{_mandir}/man7/iso-8859-*.7*
%{_mandir}/man7/iso_8859-*.7*
%{_mandir}/man7/iso_8859_*.7*
%{_mandir}/man7/koi8-r.7*
%{_mandir}/man7/latin*.7*
%{_mandir}/man7/locale.7*
%{_mandir}/man7/unicode.7*
%{_mandir}/man7/utf-8.7*
%{_mandir}/man7/utf8.7*
%{_mandir}/man8/ld-linux.8*
%{_mandir}/man8/ld-linux.so.8*
%{_mandir}/man8/ld.so.8*
%{_mandir}/man8/sln.8*
%{_mandir}/man8/zdump.8*
%{_mandir}/man8/zic.8*
%lang(cs) %{_mandir}/cs/man7/*
%lang(de) %{_mandir}/de/man5/tzfile.5*
%lang(de) %{_mandir}/de/man7/*
%lang(es) %{_mandir}/es/man5/locale.5*
%lang(es) %{_mandir}/es/man5/nsswitch.conf.5*
%lang(es) %{_mandir}/es/man5/tzfile.5*
%lang(es) %{_mandir}/es/man7/*
%lang(es) %{_mandir}/es/man8/ld-linux.8*
%lang(es) %{_mandir}/es/man8/ld-linux.so.8*
%lang(es) %{_mandir}/es/man8/ld.so.8*
%lang(es) %{_mandir}/es/man8/zdump.8*
%lang(es) %{_mandir}/es/man8/zic.8*
%lang(fr) %{_mandir}/fr/man5/locale.5*
%lang(fr) %{_mandir}/fr/man5/nsswitch.conf.5*
%lang(fr) %{_mandir}/fr/man5/tzfile.5*
%lang(fr) %{_mandir}/fr/man7/*
%lang(fr) %{_mandir}/fr/man8/ld-linux.8*
%lang(fr) %{_mandir}/fr/man8/ld-linux.so.8*
%lang(fr) %{_mandir}/fr/man8/ld.so.8*
%lang(fr) %{_mandir}/fr/man8/zdump.8*
%lang(fr) %{_mandir}/fr/man8/zic.8*
%lang(hu) %{_mandir}/hu/man7/*
%lang(hu) %{_mandir}/hu/man8/ld-linux.8*
%lang(hu) %{_mandir}/hu/man8/ld-linux.so.8*
%lang(hu) %{_mandir}/hu/man8/ld.so.8*
%lang(hu) %{_mandir}/hu/man8/zdump.8*
%lang(it) %{_mandir}/it/man5/locale.5*
%lang(it) %{_mandir}/it/man7/*
%lang(it) %{_mandir}/it/man8/zdump.8*
%lang(ja) %{_mandir}/ja/man1/rpcgen.1*
%lang(ja) %{_mandir}/ja/man5/locale.5*
%lang(ja) %{_mandir}/ja/man5/nsswitch.conf.5*
%lang(ja) %{_mandir}/ja/man5/tzfile.5*
%lang(ja) %{_mandir}/ja/man7/*
%lang(ja) %{_mandir}/ja/man8/ld-linux.8*
%lang(ja) %{_mandir}/ja/man8/ld-linux.so.8*
%lang(ja) %{_mandir}/ja/man8/ld.so.8*
%lang(ja) %{_mandir}/ja/man8/sln.8*
%lang(ja) %{_mandir}/ja/man8/zdump.8*
%lang(ja) %{_mandir}/ja/man8/zic.8*
%lang(ko) %{_mandir}/ko/man5/nsswitch.conf.5*
%lang(ko) %{_mandir}/ko/man5/tzfile.5*
%lang(ko) %{_mandir}/ko/man7/*
%lang(ko) %{_mandir}/ko/man8/zdump.8*
%lang(pl) %{_mandir}/pl/man5/locale.5*
%lang(pl) %{_mandir}/pl/man7/*
%lang(pl) %{_mandir}/pl/man8/ld-linux.8*
%lang(pl) %{_mandir}/pl/man8/ld-linux.so.8*
%lang(pl) %{_mandir}/pl/man8/ld.so.8*
%lang(pt) %{_mandir}/pt/man5/locale.5*
%lang(pt) %{_mandir}/pt/man5/nsswitch.conf.5*
%lang(pt) %{_mandir}/pt/man5/tzfile.5*
%lang(pt) %{_mandir}/pt/man7/*
%lang(pt) %{_mandir}/pt/man8/zdump.8*
%lang(pt) %{_mandir}/pt/man8/zic.8*
%lang(ru) %{_mandir}/ru/man1/getent.1*
%lang(ru) %{_mandir}/ru/man1/iconv.1*
%lang(ru) %{_mandir}/ru/man1/locale.1*
%lang(ru) %{_mandir}/ru/man1/rpcgen.1*
%lang(ru) %{_mandir}/ru/man5/locale.5*
%lang(ru) %{_mandir}/ru/man5/nsswitch.conf.5*
%lang(ru) %{_mandir}/ru/man5/tzfile.5*
%lang(ru) %{_mandir}/ru/man7/*
%lang(ru) %{_mandir}/ru/man8/ld-linux.so.8*
%lang(ru) %{_mandir}/ru/man8/ld.so.8*
%lang(ru) %{_mandir}/ru/man8/zdump.8*
%lang(ru) %{_mandir}/ru/man8/zic.8*
%lang(tr) %{_mandir}/tr/man1/iconv.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/iconv.1*
%lang(zh_CN) %{_mandir}/zh_CN/man5/locale.5*
%lang(zh_CN) %{_mandir}/zh_CN/man5/tzfile.5*
%lang(zh_CN) %{_mandir}/zh_CN/man7/*
%lang(zh_CN) %{_mandir}/zh_CN/man8/zdump.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/zic.8*

%files misc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/catchsegv
%attr(755,root,root) %{_bindir}/ldd
%attr(755,root,root) %{_bindir}/pldd
%attr(755,root,root) %{_bindir}/sotruss
%dir %{_libdir}/audit
%attr(755,root,root) %{_libdir}/audit/sotruss-lib.so

%{_mandir}/man1/catchsegv.1*
%{_mandir}/man1/ldd.1*
%lang(es) %{_mandir}/es/man1/ldd.1*
%lang(fi) %{_mandir}/fi/man1/ldd.1*
%lang(fr) %{_mandir}/fr/man1/ldd.1*
%lang(hu) %{_mandir}/hu/man1/ldd.1*
%lang(ja) %{_mandir}/ja/man1/ldd.1*
%lang(ko) %{_mandir}/ko/man1/ldd.1*
%lang(pl) %{_mandir}/pl/man1/ldd.1*
%lang(ru) %{_mandir}/ru/man1/ldd.1*
%lang(tr) %{_mandir}/tr/man1/ldd.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/ldd.1*

%files libcrypt
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libcrypt-%{core_version}.so
%ifarch alpha
%attr(755,root,root) %ghost /%{_lib}/libcrypt.so.1.1
%else
%attr(755,root,root) %ghost /%{_lib}/libcrypt.so.1
%endif

%files -n ldconfig
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ld.so.conf
%dir %{_sysconfdir}/ld.so.conf.d
%ghost %{_sysconfdir}/ld.so.cache
%attr(755,root,root) /sbin/ldconfig
%{_mandir}/man8/ldconfig.8*
%lang(es) %{_mandir}/es/man8/ldconfig.8*
%lang(fr) %{_mandir}/fr/man8/ldconfig.8*
%lang(hu) %{_mandir}/hu/man8/ldconfig.8*
%lang(ja) %{_mandir}/ja/man8/ldconfig.8*
%lang(pl) %{_mandir}/pl/man8/ldconfig.8*
%lang(pt) %{_mandir}/pt/man8/ldconfig.8*
%lang(ru) %{_mandir}/ru/man8/ldconfig.8*
%dir %attr(700,root,root) /var/cache/ldconfig
%attr(600,root,root) %ghost /var/cache/ldconfig/aux-cache

%files -n nss_compat
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_compat-%{core_version}.so
%attr(755,root,root) /%{_lib}/libnss_compat.so.2

%files -n nss_hesiod
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_hesiod-%{core_version}.so
%attr(755,root,root) /%{_lib}/libnss_hesiod.so.2

%files -n nss_nis
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_nis-%{core_version}.so
%attr(755,root,root) /%{_lib}/libnss_nis.so.2

%files -n nss_nisplus
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_nisplus-%{core_version}.so
%attr(755,root,root) /%{_lib}/libnss_nisplus.so.2

%if %{with memusage}
%files memusage
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/memusage*
%attr(755,root,root) %{_libdir}/libmemusage.so
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libBrokenLocale.so
%attr(755,root,root) %{_libdir}/libanl.so
%attr(755,root,root) %{_libdir}/libcrypt.so
%attr(755,root,root) %{_libdir}/libcidn.so
%attr(755,root,root) %{_libdir}/libdl.so
%attr(755,root,root) %{_libdir}/libm.so
%attr(755,root,root) %{_libdir}/libnsl.so
%attr(755,root,root) %{_libdir}/libpcprofile.so
%attr(755,root,root) %{_libdir}/libresolv.so
%attr(755,root,root) %{_libdir}/librt.so
%attr(755,root,root) %{_libdir}/libthread_db.so
%attr(755,root,root) %{_libdir}/libutil.so
%{_libdir}/crt[1in].o
%{_libdir}/[MSg]crt1.o
# ld scripts
%{_libdir}/libc.so
%{_libdir}/libpthread.so
# static-only libs
%{_libdir}/libbsd-compat.a
%{_libdir}/libbsd.a
%{_libdir}/libc_nonshared.a
%{_libdir}/libg.a
%{_libdir}/libieee.a
%ifarch alpha ppc sparc
%{_libdir}/libnldbl_nonshared.a
%endif
%{_libdir}/libpthread_nonshared.a
%{_libdir}/librpcsvc.a
%ifarch %{ix86} %{x8664} ppc ppc64 s390 s390x sparc sparcv9 sparc64
# ABI-dependent headers
%{_includedir}/gnu/stubs-*.h
%endif

%files headers
%defattr(644,root,root,755)
%{_includedir}/*.h
%ifarch alpha
%{_includedir}/alpha
%endif
%{_includedir}/arpa
%{_includedir}/bits
%dir %{_includedir}/gnu
%{_includedir}/gnu/lib*.h
%{_includedir}/gnu/stubs.h
%{_includedir}/net
%{_includedir}/netash
%{_includedir}/netatalk
%{_includedir}/netax25
%{_includedir}/neteconet
%{_includedir}/netiucv
%{_includedir}/netinet
%{_includedir}/netipx
%{_includedir}/netpacket
%{_includedir}/netrom
%{_includedir}/netrose
%{_includedir}/nfs
%{_includedir}/protocols
%{_includedir}/rpc
%{_includedir}/rpcsvc
%{_includedir}/scsi
%{_includedir}/sys

%files devel-utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gencat
%attr(755,root,root) %{_bindir}/*prof*
%attr(755,root,root) %{_bindir}/*trace

%files devel-doc
%defattr(644,root,root,755)
%doc documentation/* PROJECTS
%{_infodir}/libc.info*

%{_mandir}/man1/sprof.1*
%{_mandir}/man3/*
%lang(cs) %{_mandir}/cs/man3/*
%lang(de) %{_mandir}/de/man3/*
%lang(es) %{_mandir}/es/man3/*
%lang(fr) %{_mandir}/fr/man3/*
%lang(hu) %{_mandir}/hu/man3/*
%lang(it) %{_mandir}/it/man3/*
%lang(ja) %{_mandir}/ja/man3/*
%lang(ko) %{_mandir}/ko/man3/*
%lang(nl) %{_mandir}/nl/man3/*
%lang(pl) %{_mandir}/pl/man3/*
%lang(pt) %{_mandir}/pt/man3/*
%lang(ru) %{_mandir}/ru/man1/sprof.1*
%lang(ru) %{_mandir}/ru/man3/*
%lang(tr) %{_mandir}/tr/man3/*
%lang(uk) %{_mandir}/uk/man3/*
%lang(zh_CN) %{_mandir}/zh_CN/man3/*

%files -n nscd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/nscd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nscd.*
%attr(754,root,root) /etc/rc.d/init.d/nscd
%config(noreplace) %verify(not md5 mtime size) /etc/init/nscd.conf
%attr(755,root,root) %{_sbindir}/nscd*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/nscd
%attr(640,root,root) %ghost /var/log/nscd
/usr/lib/tmpfiles.d/nscd.conf
%dir /var/run/nscd
%dir /var/lib/nscd
%attr(600,root,root) %ghost /var/lib/nscd/passwd
%attr(600,root,root) %ghost /var/lib/nscd/group
%attr(600,root,root) %ghost /var/lib/nscd/hosts
%{_mandir}/man5/nscd.conf.5*
%{_mandir}/man8/nscd.8*
%{_mandir}/man8/nscd_nischeck.8*
%lang(es) %{_mandir}/es/man5/nscd.conf.5*
%lang(es) %{_mandir}/es/man8/nscd.8*
%lang(fr) %{_mandir}/fr/man5/nscd.conf.5*
%lang(fr) %{_mandir}/fr/man8/nscd.8*
%lang(ja) %{_mandir}/ja/man5/nscd.conf.5*
%lang(ja) %{_mandir}/ja/man8/nscd.8*
%lang(pt) %{_mandir}/pt/man5/nscd.conf.5*
%lang(pt) %{_mandir}/pt/man8/nscd.8*
%lang(ru) %{_mandir}/ru/man5/nscd.conf.5*
%lang(ru) %{_mandir}/ru/man8/nscd.8*
%lang(zh_CN) %{_mandir}/zh_CN/man5/nscd.conf.5*

%files -n localedb-src
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/localedef
%attr(755,root,root) %{_bindir}/localedb-gen
%{_datadir}/i18n
%{_mandir}/man1/localedef.1*
%lang(ru) %{_mandir}/ru/man1/localedef.1*

%if %{with localedb}
%files localedb-all
%defattr(644,root,root,755)
%{_libdir}/locale/locale-archive
%endif

%files -n iconv
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/iconvconfig
%dir %{_libdir}/gconv
%{_libdir}/gconv/gconv-modules
%verify(not md5 mtime size) %{_libdir}/gconv/gconv-modules.cache
%attr(755,root,root) %{_libdir}/gconv/*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libanl.a
%{_libdir}/libBrokenLocale.a
%{_libdir}/libc.a
%{_libdir}/libcrypt.a
%{_libdir}/libdl.a
%{_libdir}/libm.a
%{_libdir}/libmcheck.a
%{_libdir}/libnsl.a
%{_libdir}/libpthread.a
%{_libdir}/libresolv.a
%{_libdir}/librt.a
%{_libdir}/libutil.a

%files profile
%defattr(644,root,root,755)
%{_libdir}/lib*_p.a

%files pic
%defattr(644,root,root,755)
%{_libdir}/lib*_pic.a
%{_libdir}/lib*.map
%{_libdir}/soinit.o
%{_libdir}/sofini.o

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glibc.spec,v $
Revision 1.968  2012/07/05 07:31:58  arekm
- rel 1; some patches were still needed

Revision 1.967  2012/07/02 10:27:12  arekm
- TODO: systemtap

Revision 1.966  2012/07/01 07:43:33  arekm
- upstream removed omitfp

Revision 1.965  2012/07/01 07:23:03  arekm
- drop obsolete patches

Revision 1.964  2012/07/01 06:20:27  arekm
- update nls/locale patches

Revision 1.963  2012/07/01 06:02:07  arekm
- fix files; port 2.16.0, too

Revision 1.962  2012/06/30 21:24:46  arekm
- preload ld.so, too (before calling iconvconfig)

Revision 1.961  2012/06/30 21:13:57  arekm
- start glibc 2.16 update; bunch of patches needs reevaluation; fails on install

Revision 1.960  2012/04/19 15:11:23  qboosh
- added dir for bo LC_MESSAGES
- release 10

Revision 1.959  2012/03/30 13:18:04  qboosh
- added ta,te to the list of short locale names

Revision 1.958  2012/03/22 18:35:38  arekm
- rel 9; use official tarball

Revision 1.957  2012/03/20 18:01:50  baggins
- release 8

Revision 1.956  2012/03/15 23:41:52  glen
- /var/db in FHS, see r1.43

Revision 1.955  2012/02/12 08:10:20  arekm
- release 6

Revision 1.954  2012/02/07 22:01:34  arekm
- release 5

Revision 1.953  2012/01/31 11:52:25  baggins
- release 4

Revision 1.952  2012/01/31 11:31:31  baggins
- added tmpfiles config for systemd

Revision 1.951  2012/01/29 14:11:51  arekm
- rel 3; http://sourceware.org/bugzilla/show_bug.cgi?id=13618 fixed

Revision 1.950  2012/01/10 07:57:35  arekm
- rel 2.1; drop match64crash as it was just ugly workaround - issue not resolved

Revision 1.949  2012/01/05 19:07:44  arekm
- rel 2; fix crash in floor

Revision 1.948  2012/01/04 18:48:25  qboosh
- some pl.po-update note; locale_fixes was manually prepared

Revision 1.947  2012/01/04 18:37:36  arekm
- rel 1

Revision 1.946  2012/01/04 18:20:37  qboosh
- updated myv_RU locales in morelocales patch from bz (preserving my LC_ADDRESS fixes)
- updated locale_fixes patch

Revision 1.945  2012/01/04 17:41:01  arekm
- revert problematich patch (rh bug 769421). glibc-locale_fixes.patch needs update

Revision 1.944  2012/01/04 16:56:19  qboosh
- removed outdated pl.po-update patch; not making new one yet because included libc.pot is outdated
- pl.po part in missing-nls patch updated (i.e. converted to UTF-8)

Revision 1.943  2011/12/30 22:55:44  arekm
- new pldd utility; new NSS - nss_db (without external dependencies)

Revision 1.942  2011/12/29 09:14:37  glen
- reload nscd after rotating it's log

Revision 1.941  2011/12/26 19:08:10  arekm
- partial 2.15 update (own tarball since no upstream tarball available)

Revision 1.940  2011/11/28 00:08:57  glen
- move sotruss (and sotruss-lib) to -misc, to avoid dependency loops (glibc package should not depend on shell)

Revision 1.939  2011/11/24 19:28:33  pluto
- remove obsolete %%prep comment.
- release 3 after inital PR13013 tests.

Revision 1.938  2011/11/23 18:31:20  pluto
- fix 'res_query.c:251: __libc_res_nquery: Assertion `hp != hp2' failed' failures.

Revision 1.937  2011/10/25 10:17:31  arekm
- rel 2

Revision 1.936  2011/10/22 20:06:38  qboosh
- more on en case

Revision 1.935  2011/10/22 19:48:12  qboosh
- updated/enhanced comment about short form /usr/share/locale subdirs

Revision 1.934  2011/10/22 15:00:35  qboosh
- ports updated to 2.14.1
- enhanced morelocales patch: enable ur_IN (already in sources), add brx_IN (from bz) and myv_RU{,@cyrillic} (from bz with my fixes)

Revision 1.933  2011/10/20 20:01:27  pluto
- the right fix for PR#12892 for glibc-2.14.1.

Revision 1.932  2011/10/20 17:30:52  arekm
- up to 2.14.1 (dso breakage patch needs some decision)

Revision 1.931  2011/10/15 18:58:36  wiget
- note about lb locale in deluge.spec

Revision 1.930  2011/10/05 15:00:15  glen
- upstart for nscd

Revision 1.929  2011/09/11 12:37:26  arekm
- rel 16; LC_TIME for eo

Revision 1.928  2011/08/19 00:23:51  ankry
- info

Revision 1.927  2011/08/11 18:44:34  pluto
- release 15.

Revision 1.926  2011/08/10 20:41:40  pluto
- revert another amazing Urlich's fix and make Xilinx tools working again (see PR#12892 for details).

Revision 1.925  2011/08/03 16:05:21  arekm
- rel 14; our libc.so linker script didn't contain OUTPUT_FORMAT which causes weird issues on x86_64 trying to link with 32-bit libc (fixed by some git patches)

Revision 1.924  2011/07/15 09:16:06  arekm
- rel 12

Revision 1.923  2011/06/30 10:20:27  arekm
- add --enable-experimental-malloc (it is stable according to glibc devs (and will be default in next glibc))

Revision 1.922  2011/06/26 19:17:57  qboosh
- release 11

Revision 1.921  2011/06/26 17:34:22  qboosh
- updated morelocales patch:
  - fixed SUPPORTED patching (some changes were missing - why patching didn't fail?)
  - new locales: be_BY@tarask (replacing be_BY@alternative),
    ary_MA@latin, cbk_IQ, kg_CD, sgs_LT
  - dropped hi_IN.ISCII variant (current currency symbol not included in charset)
- added new locale dirs: be@tarask (replacing be@alternative), ckb, kg

Revision 1.920  2011/06/26 14:57:04  arekm
- rel 10; do testing ourselfs

Revision 1.919  2011/06/23 19:16:20  qboosh
- added restore-rpc+nis patch (restore RPC/NIS API, taken from Fedora 15; tirpc is not ready to overtake whole RPC from glibc 2.14 currently)
- real description for -memusage
- test release 9.1

Revision 1.918  2011/06/23 10:52:02  arekm
- rel 9; fixes from git (first our 2.14 candidate for pld-main repo)

Revision 1.917  2011/06/12 09:50:34  qboosh
- release 8

Revision 1.916  2011/06/11 16:40:44  qboosh
- pl.po-update patch is back (updated)
- added sotruss-sh patch (bash script, so use /bin/bash instead of /bin/ksh shebang)
- package sotruss-lib.so (needed by sotruss script)

Revision 1.915  2011/06/10 07:48:35  arekm
- rel 7; revert fix for bug 12684 (causes segfaults in resolver code when ns is not reachable) - waiting for proper fix

Revision 1.914  2011/06/07 13:04:51  arekm
- eq fixed

Revision 1.913  2011/06/07 11:53:57  arekm
- rel 6; better way: glibc-devel.x86_64 Requires glibc-headers(64bit) while glibc-devel.i686 Requires glibc-headers (without X bit indication)

Revision 1.912  2011/06/07 11:31:02  arekm
- rel 5; prevent 32bit glibc-headers to be installed on 64bit system

Revision 1.911  2011/06/05 08:46:51  pluto
- better fix from glibc-fedora branch, release 4.

Revision 1.910  2011/06/04 16:52:56  pluto
- desc patch40 (regression revert).

Revision 1.909  2011/06/04 16:08:51  pluto
- fix bad fix, release 3.

Revision 1.908  2011/06/02 18:32:57  arekm
- rel 2; nscd fixes

Revision 1.907  2011/06/02 06:35:02  arekm
- use official tarballs

Revision 1.906  2011/05/31 18:55:10  arekm
- preload new glibc because new iconvconfig uses new glibc symbols

Revision 1.905  2011/05/31 18:35:45  arekm
- rel 1; fixed typo - builds now; one new todo item

Revision 1.904  2011/05/31 17:39:41  arekm
- initial update to 0.14; force ld.bfd

Revision 1.903  2011/05/19 20:55:24  pluto
- fix PR math/12775: typo in sysdeps/x86_64/fpu/e_powl.S.

Revision 1.902  2011/04/10 11:44:19  arekm
rel 5; fixes and updated version of patches from gentoo

Revision 1.901  2011/04/01 20:11:01  arekm
- rel 4; blowfish patch from suse; this one handles invalid salt correctly (aka returns NULL)

Revision 1.900  2011/03/27 19:50:01  arekm
- add to -devel: R glibc-libcrypt (for libcrypt.so -> libcrypt.so.X symlink)

Revision 1.899  2011/03/25 19:07:11  qboosh
- updated some locale comments

Revision 1.898  2011/03/25 18:16:09  arekm
- fix for mprotect enforced kernel

Revision 1.897  2011/03/25 17:40:51  qboosh
- typo

Revision 1.896  2011/03/19 13:26:49  qboosh
- updated locale comments

Revision 1.895  2011/03/13 19:19:10  qboosh
- sr variants need fix

Revision 1.894  2011/02/20 07:45:23  qboosh
- informative -static summaries
- updated locale comments (added en@shaw as LANGUAGE-usable, kg as unsupported)
- added dir for tl (tl_PH) locale

Revision 1.893  2011/02/18 16:03:32  glen
- restart crond if glibc is upgraded, LP#721338

Revision 1.892  2011/02/11 08:15:45  arekm
- rel 2; fix memmove-ssse3 static linking (from gentoo)

Revision 1.891  2011/02/06 19:05:48  sparky
- added -Os-fail-workaround patch, won't change anything with -O2

Revision 1.890  2011/01/18 07:33:29  arekm
- up to 2.13 (our own tarball until upstream generates one)

Revision 1.889  2011/01/09 14:17:48  qboosh
- reverted jv addition (Javanese is still not supported by glibc, see comment above)

Revision 1.888  2011/01/09 14:13:33  qboosh
- added kk locale LC_TIME category dir

Revision 1.887  2011/01/08 19:25:30  arekm
- fix build with new binutils (ld-linux was segfaulting)

Revision 1.886  2010/12/19 20:45:35  qboosh
- ports 2.12.1

Revision 1.885  2010/12/19 09:15:32  arekm
- up to 2.12.2 but rpcgen still segfaults

Revision 1.884  2010/10/28 10:23:02  baggins
- rel 8
- fix CVE-2010-3856, see http://seclists.org/bugtraq/2010/Oct/200 for details

Revision 1.883  2010/10/20 22:16:27  qwiat
- added locale en@shaw

Revision 1.882  2010/10/19 15:46:52  arekm
- rel 6; SECURITY FIX for http://seclists.org/fulldisclosure/2010/Oct/257 from fedora

Revision 1.881  2010/09/14 21:43:37  qwiat
- added 'jv' locale dir

Revision 1.880  2010/08/19 06:58:27  arekm
- release 4

Revision 1.879  2010/08/19 06:14:58  arekm
- fix for make 3.82

Revision 1.878  2010/08/19 05:52:19  baggins
- rel 3
- proper fix for getpagesize problems with statically linked programs
  (all static programs need to be rebuilt with new glibc)

Revision 1.877  2010/08/18 19:11:52  baggins
- rel 2
- fix segfaults in static programs using dynamic nss services

Revision 1.876  2010/08/04 12:46:56  arekm
- up to 2.12.1

Revision 1.875  2010/07/01 07:31:14  qboosh
- alpha has been moved to ports too

Revision 1.874  2010/06/27 08:58:12  tommat
- added ports source
- enabled arm build
- arm-alignment-fix.patch from Fedora

Revision 1.873  2010/05/28 05:00:52  arekm
- release 4

Revision 1.872  2010/05/22 19:26:42  arekm
- rel 3; Don't crash on unresolved weak symbol reference.

Revision 1.871  2010/05/22 09:38:59  arekm
- release 2

Revision 1.870  2010/05/05 08:45:04  arekm
- up to 2.12 (no official tarball yet)

Revision 1.869  2010/04/24 22:11:43  arekm
- rel 5

Revision 1.868  2010/04/24 21:22:56  arekm
- test patch for i686 build problem (sysdeps/i386/fpu/s_frexp.S:66: Error: invalid identifier for .ifdef)

Revision 1.867  2010/04/24 20:43:58  arekm
- rel 4; add ro/LC_TIME

Revision 1.866  2010/03/24 21:05:14  ankry
- miro locale notes

Revision 1.865  2010/02/27 21:11:15  sparky
- unify %attr() %ghost order

Revision 1.864  2010/02/17 00:16:58  ankry
- typo

Revision 1.863  2010/02/17 00:15:34  ankry
- more complete unsupported locale list

Revision 1.862  2010/02/16 23:19:05  sparky
- dropped unused BR: rpm-perlprov

Revision 1.861  2010/02/16 21:33:54  ankry
- added dv dir, rel. 3

Revision 1.860  2010/02/16 19:56:47  ankry
- added dirs for ps, my (supported) and la (usable via LANGUAGE)

Revision 1.859  2010/01/29 20:45:59  arekm
- release 2

Revision 1.858  2010/01/06 07:09:43  ankry
- sco also in picard; Venda code is now ve not ven: fix kalarm

Revision 1.857  2009/12/30 14:40:54  hawk
- back to official tarball

Revision 1.856  2009/12/21 15:23:16  blues
- TODO

Revision 1.855  2009/12/21 14:51:23  glen
- run localedb-gen only if $SUPPORTED_LOCALES set (merge from AC-branch)

Revision 1.854  2009/12/19 22:54:14  arekm
- up to 2.11.1 released at 8 dec 2009 (no official tarball)

Revision 1.853  2009/12/13 20:07:17  sparky
- touch aux-cache

Revision 1.852  2009/12/13 19:20:11  glen
- package /var/cache/ldconfig/aux-cache (http://sourceware.org/ml/libc-alpha/2007-06/msg00118.html)
- rel 6

Revision 1.851  2009/12/12 22:43:47  arekm
- rel 5; add lg LC_TIME dir

Revision 1.850  2009/12/08 10:29:39  baggins
- rel 4
- fixed localdb-src post scriptlet, it is perfectly fine for localedb-gen to fail

Revision 1.849  2009/11/20 19:39:25  arekm
- rel 3; add en/LC_TIME

Revision 1.848  2009/11/06 09:55:02  glen
- fix localedb-src package name

Revision 1.847  2009/11/05 21:05:15  blues
- generate locale database while upgrading/installing localedb-src

Revision 1.846  2009/11/04 21:38:23  qboosh
- needs gcc 4.3+ now (for cpuid.h)

Revision 1.845  2009/11/04 07:39:31  arekm
- rel 2; switch to official tarball (no idn tarball anymore)

Revision 1.844  2009/11/01 13:05:40  glen
- cosmetics

Revision 1.843  2009/10/31 17:28:39  arekm
- no old md5

Revision 1.842  2009/10/31 17:16:21  arekm
- up to 2.11 (there is no official tarball yet, so use own)

Revision 1.841  2009/10/27 13:03:37  glen
- simplify symlinking

Revision 1.840  2009/09/26 13:09:26  patrys
- add binutils patch (quick and dirty)

Revision 1.839  2009/09/26 12:26:36  patrys
- add ca@valencia
- rel 14

Revision 1.838  2009/09/07 11:26:38  baggins
- rel 13
- added virtual P: crypt(blowfish) to libcrypt (needed for pam 1.1.0)

Revision 1.837  2009/09/03 13:46:37  arekm
- rel 12; rebuild with fixed rpm so ld-*/libpthread.so won't be stripped

Revision 1.836  2009/08/30 06:59:42  qboosh
- pl for -libcrypt

Revision 1.835  2009/08/28 22:20:27  qboosh
- nss epoch

Revision 1.834  2009/08/18 11:00:35  arekm
- rel 11

Revision 1.833  2009/07/19 01:36:47  arekm
- rel 10; but don't mark it as pb1

Revision 1.832  2009/07/19 01:34:06  arekm
- rel 9; bunch of git fixes (mostly known as 2.10.1-pb1)

Revision 1.831  2009/07/08 16:02:11  tommat
- tune up sparcv9 flags

Revision 1.830  2009/07/07 07:43:55  arekm
- revert new malloc until some bugs are figured out

Revision 1.829  2009/07/07 06:17:34  arekm
- fix flags

Revision 1.828  2009/07/07 06:14:05  arekm
- rel 8

Revision 1.827  2009/07/07 05:26:54  arekm
- rel 7; enable new malloc

Revision 1.826  2009/07/03 23:03:23  hawk
- no --enable-nss-crypt for Titanium

Revision 1.825  2009/07/03 18:55:51  arekm
- rel 6; add hne locale

Revision 1.824  2009/06/08 21:22:09  glen
- drop tzselect

Revision 1.823  2009/06/08 20:29:39  glen
- no bash for ldd(1)
- package language dirs only in glibc
- rel 5

Revision 1.822  2009/06/04 15:58:07  glen
- conflicts with current EVR

Revision 1.821  2009/06/04 15:56:00  glen
- move all but shell scripts to base pkg from -misc
- subpkg for libcrypt for the extra nss pkg dependency
- ldconfig depend on FHS
- all that to kill dependency loop and get proper initial install order; rel 4

Revision 1.820  2009/05/19 12:45:30  arekm
- rel 3

Revision 1.819  2009/05/19 06:18:32  arekm
- disable autoreq for -misc subpackage only

Revision 1.818  2009/05/18 19:23:23  arekm
- disable AutoReq: false since now glibc depends on nss-softokn-freebl

Revision 1.817  2009/05/18 19:04:18  arekm
- rel 2; R: nss-softokn-freebl (fc has this dep somehow autogenerated - no idea how)

Revision 1.816  2009/05/18 06:34:35  arekm
- up to 2.10.1

Revision 1.815  2009/05/10 22:02:27  arekm
- --enable-nss-crypt

Revision 1.814  2009/05/10 20:00:36  arekm
- up to 2.10 (note there will be 2.10.1 in few days)

Revision 1.813  2009/03/23 10:09:07  arekm
- rel 7

Revision 1.812  2009/03/19 18:22:16  pawelz
- reverted last commit
- added TODO (some scripts requires bash)

Revision 1.811  2009/03/19 18:08:27  pawelz
- glibc-misc R: bash (at least ldd requires it)

Revision 1.810  2009/03/19 15:18:24  glen
- breaking rpm dep loop: removed R: basesystem because no pkg should depend on
  metapackage and reason added in r1.149 is no longer valid/needed; rel 6

Revision 1.809  2009/03/10 18:19:27  glen
- no need to regen gconv-modules.cache (which is void on 32bit multilib anyway); rel 6

Revision 1.808  2009/03/06 19:07:20  megabajt
- added dirs for ha and ig locales
- release 4

Revision 1.807  2009/03/02 15:51:51  glen
- iconv provide iconv(%{_target_base_arch})

Revision 1.806  2009/03/02 15:19:35  glen
- omit buildroot from gconv cache paths. LP#336742

Revision 1.805  2009/03/02 15:18:09  glen
- no macros in obsoletes (we don't have any glibc64/glibc)

Revision 1.804  2009/02/27 10:35:35  arekm
- tarballs finally uploaded

Revision 1.803  2009/02/23 08:14:50  arekm
- rel 3; id/LC_TIME

Revision 1.802  2009/02/20 14:45:41  pluto
- fix build with recent binutils.

Revision 1.801  2009/01/05 16:15:35  glen
- package gconv-modules.cache
- fix build with config.cache

Revision 1.800  2008/11/28 17:09:41  arekm
- upstream fixes

Revision 1.799  2008/11/25 14:00:53  blues
- suggest virtual localedb, provided by localedb-all and -src

Revision 1.798  2008/11/17 17:40:28  arekm
- rel 1; i486 build fix seems to work fine

Revision 1.797  2008/11/17 17:21:39  arekm
- untested fix for i486 build

Revision 1.796  2008/11/15 10:31:58  arekm
- drop -fasynchronous-unwind-tables due to x86 failures

Revision 1.795  2008/11/14 21:23:49  arekm
- don't provide/require GLIBC_PRIVATE symbols

Revision 1.794  2008/11/14 20:19:05  arekm
- up to 2.9 (unofficial yet so rel 0.1); -fasynchronous-unwind-tables

Revision 1.793  2008/10/26 11:02:44  arekm
S: tzdata, too then

Revision 1.792  2008/10/26 09:34:33  gotar
- according to spamassassin.spec rev. 1.145 glibc-misc S: glibc-localedb-all
  as this is commonly being forgotten

Revision 1.791  2008/10/08 19:08:06  qboosh
- updated morelocales patch to add sd_IN, ht_HT, en_AG, nl_AW

Revision 1.790  2008/10/03 22:50:06  megabajt
- added dir for ks LC_MESSAGES (used by eog)
- release 11

Revision 1.789  2008/10/01 16:43:54  sparky
- added powerpc-abi_fix patch; rel 10

Revision 1.788  2008/09/26 08:16:55  ankry
- crh locale dir for (at least) libgnomeui

Revision 1.787  2008/09/10 14:40:44  qboosh
- changelog typo

Revision 1.786  2008/09/10 06:28:45  hawk
- release 8

Revision 1.785  2008/09/08 22:03:54  qboosh
- updated morelocales patch to add ks_IN@devanagari, sd_IN@devanagari, ps_AF locales
- added dir for ps LC_MESSAGES

Revision 1.784  2008/09/08 05:53:10  qboosh
- updated locale comments

Revision 1.783  2008/08/21 19:05:57  qboosh
- more locale comments

Revision 1.782  2008/08/21 17:37:07  qboosh
- updated locales-to-do list

Revision 1.781  2008/08/19 20:46:37  qboosh
- support en_NZ LC_MESSAGES

Revision 1.780  2008/08/10 17:59:44  arekm
- rel 7; lt/LC_TIME needed

Revision 1.779  2008/07/28 09:14:16  arekm
- drop -D_FORTIFY_SOURCE; glibc doesn't like it

Revision 1.778  2008/07/08 18:56:05  qboosh
- added dir for fr_CH messages

Revision 1.777  2008/07/03 13:20:38  pluto
- *crt*.o files don't require 755.

Revision 1.776  2008/06/25 16:46:32  pluto
- fix PR/6693, release 6.

Revision 1.775  2008/06/11 15:35:04  hawk
- release 5

Revision 1.774  2008-06-11 14:47:26  hawk
- release 4

Revision 1.773  2008-06-02 17:49:33  arekm
- rel 3; glibc-ppc dropped

Revision 1.772  2008-05-28 16:31:33  glen
- longer gecos for nscd

Revision 1.771  2008-05-20 14:13:12  ankry
- added de_CH locale dir for gnucash translation, rel. 2

Revision 1.770  2008-05-07 20:38:12  qboosh
- updated pl.po-update,locale_fixes,sparc-lowlevellock patches are back

Revision 1.769  2008-04-23 07:18:40  arekm
- rel 1

Revision 1.768  2008-04-17 09:51:15  arekm
- builds now

Revision 1.767  2008-04-16 19:44:36  arekm
- glibc 2.8, tarballs not yet avilable; doesn't build yet

Revision 1.766  2008-04-09 07:32:35  ankry
- info about Mandingo language

Revision 1.765  2008-04-09 07:11:05  ankry
- added ar_TN locale dir and comment about Iloko language (ilo); rel. 16

Revision 1.764  2008-04-09 06:57:37  ankry
- comment about Scots language (sco)

Revision 1.763  2008-04-08 18:14:45  megabajt
- added LC_MESSAGES dirs for: es_CL, es_CR, es_DO, es_EC, es_GT, es_HN,
  es_PA, es_PE, es_SV, es_UY, es_VE
- release 15

Revision 1.762  2008-04-02 19:46:01  pluto
- drop ugly pax_dl-execstack.hack and export PaX defs in elf.h inconditionally.

Revision 1.761  2008-03-15 11:20:19  arekm
- rel 14

Revision 1.760  2008-03-15 07:42:51  arekm
- rel 13; define missing bits in user.h on ppc

Revision 1.759  2008-03-02 20:26:28  arekm
- rel 12; fix Error: suffix or operands invalid for `fnstsw\' problem

Revision 1.758  2008-03-02 19:04:41  qboosh
- added uk,vi LC_TIME dirs
- release 11

Revision 1.757  2008-02-26 13:23:20  pluto
- fix alpha build.

Revision 1.756  2008-01-29 20:06:53  hawk
- release 10

Revision 1.755  2008-01-24 01:36:31  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.754  2008-01-23 18:16:26  qboosh
- LC_SCRIPTS is pure KDE thing, not a valid category; nothing to do in glibc
- added ca_ES@valencia to locale todo list

Revision 1.753  2008-01-21 00:38:10  glen
- kde4 uses some LC_SCRIPTS dir

Revision 1.752  2008-01-16 09:17:30  arekm
- rel 9

Revision 1.751  2008-01-12 11:44:43  qboosh
- added dir for fr_CA messages

Revision 1.750  2008-01-06 20:43:12  qboosh
- special stripping of ld/libpthread finally works in proper way
- fixed syntax errors in locale_fixes patch
- release 8.3

Revision 1.749  2008-01-06 19:23:15  qboosh
- readded missing libnsl; introduced omitted libcidn.so devel symlink

Revision 1.748  2008-01-06 19:19:49  qboosh
- one more typo

Revision 1.747  2008-01-06 19:18:35  qboosh
- typo

Revision 1.746  2008-01-06 14:54:59  qboosh
- macros 1.412

Revision 1.745  2008-01-06 14:38:35  qboosh
- use _autostripdebug for ld and libpthread
- sanity check before replacing symlinks with absolute ones

Revision 1.744  2008-01-06 13:56:10  qboosh
- cleaned up and simplified lang()ed files generation

Revision 1.743  2008-01-06 13:28:07  qboosh
- package dirs for LC_TIME category locale catalogs
- moved ldconfig(8) manuals to ldconfig package
- pl fix for ldconfig

Revision 1.742  2007-11-20 19:44:30  glen
- separate pkg for ldconfig. this should help poldek with multilib
  installations (merged from AC-branch)

Revision 1.741  2007-11-19 13:38:35  glen
- adapter

Revision 1.740  2007-11-19 13:37:33  glen
- telinit -u is called from SysVinit

Revision 1.739  2007-11-13 16:13:20  glen
- postshell problem is no more

Revision 1.738  2007-11-04 22:37:08  hawk
- release 8

Revision 1.737  2007/11/03 10:54:21  arekm
- revert sr@Latn; too much pain. First other apps need to be fixed THEN glibc.

Revision 1.736  2007/11/02 23:12:52  hawk
- added i586 build fix, required for Titanium, allowed on HEAD by arekm

Revision 1.735  2007/11/02 22:36:17  qboosh
- dropped includes patch (useless with llh 2.6.20+)

Revision 1.734  2007/11/02 16:53:36  arekm
- pretrans for droppin sr@Latn and replacing it with symlink

Revision 1.733  2007/11/02 12:18:30  arekm
- rel 5; add sr@Latn symlink to files

Revision 1.732  2007/11/02 08:02:01  tommat
- added glibc-sparc-lowlevellock.patch fixing build on sparc

Revision 1.731  2007/11/01 19:19:18  tommat
- alredy fixed in 2.7

Revision 1.730  2007/11/01 13:24:14  sls
- added tzfile_read.patch
- rel. 4

Revision 1.729  2007/10/24 23:27:07  ankry
- kill sr@Latn dir, create temporary link (till all packages are fixed)

Revision 1.728  2007/10/24 23:08:02  ankry
- added locale/es_CO, rel. 3

Revision 1.727  2007/10/24 07:15:55  arekm
- rel 2

Revision 1.726  2007/10/23 21:31:43  qboosh
- apply memmove patch

Revision 1.725  2007/10/23 20:39:43  arekm
- rel 1

Revision 1.724  2007/10/23 20:28:29  qboosh
- updated pl.po-update,new-charsets,morelocales,locale_fixes,with-stroke patches

Revision 1.723  2007/10/23 18:12:59  qboosh
- changelog for "rel 3"

Revision 1.722  2007/10/19 06:43:51  arekm
- fix awk call; builds now

Revision 1.721  2007/10/18 22:12:39  arekm
- started playing with glibc 2.7 (tons of FIXME)

Revision 1.720  2007/10/17 19:59:13  zbyniu
- pax support is back; rel 4

Revision 1.719  2007/10/10 20:26:36  arekm
- rel 3
  [require macros 1.396 not to strip libpthread]

Revision 1.718  2007/08/24 16:21:18  qboosh
- reverted unnecessary ca_ES,uk_UA addition

Revision 1.717  2007/08/23 20:26:36  glen
- ldconfig todo (rfc like)

Revision 1.716  2007/08/23 19:39:06  blues
- rel.2 - ca_ES and uk_UA locales.

Revision 1.715  2007/08/03 19:03:52  qboosh
- updated pl.po-update patch
- clarified License (glibc is LGPL v2.1+, nscd GPL v2)

Revision 1.714  2007/07/31 21:57:12  arekm
- up to 2.6.1

Revision 1.713  2007/07/11 20:32:36  qboosh
- newer binutils required on alpha

Revision 1.712  2007/07/08 20:11:22  qboosh
- "co" (Corsician) added to locale todo

Revision 1.711  2007/06/17 21:52:04  arekm
- rel 5; tzdata is not really required ( + makes problems with fresh installs )

Revision 1.710  2007/06/17 16:21:12  arekm
- and sparc64 ppc64

Revision 1.709  2007/06/17 15:21:18  arekm
- rel 4; Provides/Obsoletes glibc64 makes only sense for x8664 architecture

Revision 1.708  2007/06/09 00:59:57  tommat
- added sparc64 ugly build patch from debian

Revision 1.707  2007/06/04 07:10:03  arekm
- rel 3; malloc updates that fix locale generation problems

Revision 1.706  2007/06/03 21:09:33  arekm
- rel 2

Revision 1.705  2007/05/21 21:45:13  qboosh
- Serbian locale cleanups in morelocales patch:
  - dropped obsolete sr_CS@Latn
  - dropped sr_CS@ije (sr@ije variant avilable through LANGUAGE=sr_ME@ije/sr_RS@ije)
  - added sr_RS.ISO-8859-2@latin
- added sr@latin dir (sr@Latn temporarily left but expect switch)

Revision 1.704  2007/05/20 09:32:47  qboosh
- updated pl.po-update patch for glibc 2.6, sync with gnulib translations

Revision 1.703  2007/05/19 12:21:47  qboosh
- added gcc42 patch to eliminate gcc = 4.2.x warnings when using glibc headers with -std=c99

Revision 1.702  2007/05/18 20:46:42  arekm
- rel 1

Revision 1.701  2007/05/18 19:15:37  qboosh
- updated localefixes,morelocales patches are back

Revision 1.700  2007/05/18 06:16:40  arekm
- partial up to 2.6; locale patches need update

Revision 1.699  2007/05/08 17:59:11  baggins
- shutup checkfiles

Revision 1.698  2007/05/08 11:26:40  baggins
- removed rpcinfo*, provided by rpcbind package (portmap replacement)

Revision 1.697  2007/04/11 12:29:38  pluto
- release 5.

Revision 1.696  2007/04/05 11:08:19  pluto
- rationale for -fgnu89-inline.
- provide rtld(GNU_HASH) for openoffice and non-pld rpms.

Revision 1.695  2007/04/03 16:55:07  arekm
- rel 4

Revision 1.694  2007/04/03 15:02:03  qboosh
- updated my hp URL

Revision 1.693  2007/04/03 14:55:07  qboosh
- updated pl.po-update patch is back
- restored simple --with-headers

Revision 1.692  2007/04/03 14:39:28  qboosh
- use new linux-libc-headers
- -fgnu89-inline temporarily(?) disabled - rationale missing

Revision 1.691  2007/03/29 13:33:38  pluto
- drop hack and use kernel-libc-headers, release 3.

Revision 1.690  2007/03/18 12:41:33  qboosh
- no glibc-kernheaders in PLD

Revision 1.689  2007/03/16 09:02:52  sls
- there is non trivial translation to es_PR in poedit.spec

Revision 1.688  2007/03/09 20:48:45  qrczak
- Re-added LC_MESSAGES dirs for ang and tlh (actually I forgot to
  remove them last time; now really removed syr).
- Updated the comment about locales waiting for glibc support.

Revision 1.687  2007/03/09 12:06:08  qrczak
- Removed LC_MESSAGES dirs for unsupported locales: ang, leet, syr,
  tlh.
- Added LC_MESSAGES dirs for supported locales: aa@saaho, an, ast,
  be@alternative, be@latin, csb, fil, fur, gd, gez, ik, mai, nr, pap,
  sc, st, tn, ts, uz@cyrillic.
- Release 2.

Revision 1.686  2007/02/14 23:08:28  pluto
- disable lazy binding, release 1.

Revision 1.685  2007/02/14 15:30:04  pluto
- todo completed.

Revision 1.684  2007/02/14 15:18:27  pluto
- fix memusage script.

Revision 1.683  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.682  2007/02/12 19:18:32  qrczak
- Transliteration table includes some letters with stroke, e.g. “ł”
  can be replaced with “l”.
- Release 0.6

Revision 1.681  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.680  2007/02/10 12:43:37  arekm
- update from glibc 2.5 cvs branch; pl.po needs update

Revision 1.679  2007/02/09 13:45:56  arekm
- fix upgrade from ac

Revision 1.678  2007/02/06 14:47:04  pluto
- note from H. J. Lu.

Revision 1.677  2007/02/06 13:32:56  baggins
- rel 0.5

Revision 1.676  2007/02/06 07:28:16  arekm
- unset LD_SYMBOLIC_FUNCTIONS as it makes problems for these two

Revision 1.675  2007/02/05 22:53:09  baggins
- rel 0.4
- teach glibc about new syscalls at build time without requiring latest
  kernel via include-override, the idea comes from Fedora and is _brilliant_

Revision 1.674  2007/02/05 13:11:05  arekm
- fix

Revision 1.673  2007/02/05 13:07:03  arekm
- install nsswitch without db entries in it (nss_db is not in default glibc)

Revision 1.672  2007/01/28 18:06:44  qboosh
- added dir for wo locale (included in newt)

Revision 1.671  2007/01/08 12:21:04  glen
- fix localedb-gen script for amd64; rel 0.3

Revision 1.670  2006/12/31 17:02:49  qboosh
- comment on lib*_g.a files

Revision 1.669  2006/12/31 16:49:23  qboosh
- added sparc64-fixes patch, now builds on both sparc* platforms

Revision 1.668  2006/12/30 22:18:15  qboosh
- add -m32 to __cc to fix 32-bit sparc build using multilib compiler

Revision 1.667  2006/12/30 22:07:00  qboosh
- added added sparc-softfp-gcc patch (fixes build on sparc)

Revision 1.666  2006/12/26 22:27:38  glen
- also remove *~ due $VERSION_CONTROL=t effect

Revision 1.665  2006/12/26 00:37:49  qboosh
- cleanup localedb-src

Revision 1.664  2006/11/13 14:56:53  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.663  2006/11/04 00:28:14  sparky
- ppc-include-mathinlune replaced by better ppc-inline-fsqrt patch

Revision 1.662  2006/11/01 18:23:03  qboosh
- disabled ppc-include-mathinline patch (only for -Os, not doing things in the right way)

Revision 1.661  2006/11/01 17:10:34  qboosh
- updated morelocales patch to include sr_ME,sr_RS,sr_RS@Latn locales

Revision 1.660  2006/11/01 16:35:21  qboosh
- sr_CS patch merged into morelocales patch

Revision 1.659  2006/11/01 10:51:31  qboosh
- updated comment

Revision 1.658  2006/10/13 08:04:07  qboosh
- added en_NG locale (morelocales patch), needed by yo_NG

Revision 1.657  2006/10/06 17:27:40  sparky
- fix build on PowerPC

Revision 1.656  2006/10/05 20:28:16  qboosh
- locales done

Revision 1.655  2006/10/05 19:12:21  qboosh
- updated pl.po-update patch is back
- reenabled missing-nls patch, it applies now

Revision 1.654  2006/10/05 12:49:53  qboosh
- updated locale_fixes patch is back

Revision 1.653  2006/10/05 12:29:14  arekm
- rel 0.2

Revision 1.652  2006/10/05 11:30:34  qboosh
- updated morelocales patch: added tk_TM,ug_CN,yo_NG (from mdk 2007.0), ia (from belocs)
- added dirs for tk,ug,yo messages (included in new GNOME)

Revision 1.651  2006/10/05 10:40:54  qboosh
- updated morelocales patch is back
- added dirs for as,si locales (included in new GNOME)

Revision 1.650  2006/09/30 10:31:47  arekm
- install gai.conf

Revision 1.649  2006/09/29 22:23:46  arekm
- partial 2.5 update (see TODO list)

Revision 1.648  2006/09/07 09:58:25  pluto
- release 5, rebuild.

Revision 1.647  2006/09/05 19:42:42  sparky
- rel 4.1 (change was small but glibc needs release bump)

Revision 1.646  2006/09/05 14:59:37  sparky
- removed postshell
- don't use 'diet -Os $(CC)' because it kills all other CFLAGS

Revision 1.645  2006/08/19 15:19:02  qboosh
- filterout needs rpm.macros >= 1.315

Revision 1.644  2006/08/12 09:31:26  ankry
- formatting

Revision 1.643  2006/08/09 11:30:15  pluto
- fix dietlibc-static BR.

Revision 1.642  2006/08/05 20:48:41  sparky
- filter-out strip flags instead of defining rpmldflags to %{nil}

Revision 1.641  2006/07/11 17:59:46  glen
- correct BR for postshell compile

Revision 1.640  2006/07/11 17:56:43  glen
- just show sizes, otherwise it might seem striping is bad

Revision 1.639  2006/07/11 17:52:03  glen
- update postshell strip stats

Revision 1.638  2006/07/11 15:31:04  glen
- postshell.patch obsolete, postshell.c is now used
- use diet rather klcc (merge from AC-branch)
- (unable to test due lack of Th build env)

Revision 1.637  2006/07/04 06:45:32  glen
- regression detected with postshell.c

Revision 1.636  2006/07/03 22:52:36  qboosh
- removed sparc64-dl-machine patch (seems obsolete)

Revision 1.635  2006/07/03 11:25:33  qboosh
- merged 2.4 from DEVEL

Revision 1.590.2.47  2006/07/01 09:05:27  qboosh
- updated pl.po-update and missing-nls patches, release 4

Revision 1.590.2.46  2006/06/30 21:19:03  qboosh
- updated min_kernel comment

Revision 1.590.2.45  2006/06/28 20:28:57  arekm
- move min kernel to 2.6.12 (waitid, 64 bit stats on sparc, ieee exceptions, getdents)

Revision 1.590.2.44  2006/06/07 08:04:47  qboosh
- merged some changes from HEAD (man update, tzdata separation)
- restored min_kernel macro

Revision 1.590.2.43  2006/06/07 07:18:41  freetz
- rel.3

Revision 1.590.2.42  2006/06/06 18:54:44  freetz
- merged locale changes from HEAD

Revision 1.590.2.41  2006/05/09 10:25:10  qboosh
- amd64 too

Revision 1.590.2.40  2006/05/01 14:04:48  pluto
- xen friendly glibc. works for me on non-xen kernel on x86-64 box.
- release 2.

Revision 1.590.2.39  2006/05/01 09:32:35  pluto
- always omit frame pointers (not needed any more due to var-tracking).

Revision 1.590.2.38  2006/03/13 21:32:28  pluto
- builds on sparc32 too.

Revision 1.590.2.37  2006/03/12 18:07:27  pluto
- glibc-devel(alpha) += libnldbl_nonshared.a.
- release 1 for Th.

Revision 1.590.2.36  2006/03/07 21:55:45  pluto
- postshell/postinst almost fixed.

Revision 1.590.2.35  2006/03/07 20:50:27  pluto
- fix postshell/postinst build. use klibc for smaller binaries.

Revision 1.590.2.34  2006/03/07 20:23:11  arekm
- merge parts from AC-branch

Revision 1.590.2.33  2006/03/07 19:19:41  arekm
- up to 2.4 final

Revision 1.590.2.32  2006/02/27 23:25:24  glen
- use service, adapterized

Revision 1.590.2.31  2006/02/11 20:46:45  pluto
- ifarch ppc for libnldbl_nonshared.

Revision 1.590.2.30  2006/02/11 19:48:45  pluto
- updated to 2.3.90-20060211T1753UTC (128-bit long double support).

Revision 1.590.2.29  2006/01/23 11:22:55  pluto
- glibc 2.3.90 has stubs split.

Revision 1.590.2.28  2006/01/22 21:40:59  pluto
- multilib split merged from head (i hope correctly).
- use glibc instead of glibc64 for th.

Revision 1.590.2.27  2006/01/15 20:40:26  ankry
- added bn_IN dir

Revision 1.590.2.26  2006/01/15 19:09:50  pluto
- enable .arch ev6 for dynamic code (gcc/as build fix).

Revision 1.590.2.25  2005/12/30 23:53:52  ankry
- updated comment

Revision 1.590.2.24  2005/12/30 23:47:22  ankry
- added fr_BE locale dir

Revision 1.590.2.23  2005/12/07 14:09:20  ankry
- updated locale stuff

Revision 1.590.2.22  2005/12/06 10:22:52  ankry
- removed outdated patch, renumbered

Revision 1.590.2.21  2005/12/04 14:59:41  pluto
- snap supdated, locale patchset needs update.

Revision 1.590.2.20  2005/11/15 10:04:32  ankry
- Swahili supported

Revision 1.590.2.19  2005/11/11 19:00:50  ankry
- added glibc-large_collate_tables.patch by qboosh

Revision 1.590.2.18  2005/11/11 02:10:48  ankry
- added fy locale dir, updated locale patches. STBR for test - but where?

Revision 1.590.2.17  2005/11/01 22:12:30  ankry
- added more dirs: for Syriac, Sanskrit, Rhaeto-roman

Revision 1.590.2.16  2005/11/01 20:27:41  ankry
- added more locale dirs: sync with AC-branch

Revision 1.590.2.15  2005/07/25 06:39:56  pluto
- tab.

Revision 1.590.2.14  2005/07/10 18:38:03  pluto
- % files cleaned up, release .1.

Revision 1.590.2.13  2005/07/10 18:09:43  pluto
- %install updated.

Revision 1.590.2.12  2005/07/10 17:13:00  pluto
- BR autoconf.
- TODO updated (-fbounded-pointers isn't available in official gcc
                releases. gcc 3.3 support only -fbounds-check for
                java & fortran. gcc 4+ uses mudflap engine for bounds
                checking).

Revision 1.590.2.11  2005/07/10 11:42:23  pluto
- starting update to current mainline...
  # linuxthread stuff dropped from glibc.
  # stackguard randomizer enabled (optional part of gcc4+ stack protector).
- nfy, dnt.

Revision 1.590.2.10  2005/05/09 13:01:12  pluto
- use %{x8664} macro.

Revision 1.590.2.9  2005/05/09 12:53:19  pluto
- release 0.2 for rebuild with new bugfixed gcc-4.0.1snap.

Revision 1.590.2.8  2005/05/02 09:54:58  pluto
- use nptl by default (dual build with linuxthreads needs update for Th).

Revision 1.590.2.7  2005/04/26 09:44:44  pluto
- as-needed usage temporary disabled (binutils are broken).

Revision 1.590.2.6  2005/04/15 20:35:42  pluto
- tls and nptl support for sparc64 added.

Revision 1.590.2.5  2005/04/03 19:20:08  pluto
- sr_CS@Latn locale readded.

Revision 1.590.2.4  2005/04/03 18:51:20  qboosh
- glibc 2.4 no longer supports gcc 3.3

Revision 1.590.2.3  2005/04/03 15:02:51  pluto
- cleanups.

Revision 1.590.2.2  2005/04/03 14:06:56  pluto
- md5.

Revision 1.590.2.1  2005/04/03 14:03:38  pluto
- glibc-2_3-branch doesn't support gcc4+, only CVS HEAD does.
